#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550001);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, inInt);
    flick_fluke_encode_signed32(8, *inoutInt);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_signed32(0, *inoutInt);
          flick_fluke_decode_signed32(4, *outInt);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t2_internal;
    unsigned *_t3_internal;

    flick_fluke_encode_new_glob(804);
    flick_fluke_encode_new_chunk(804);
    flick_fluke_encode_signed32(0, 5550002);
    /* Begin encode phase on parameters */
    _t2_internal = (unsigned *)(&(inStruct));
    flick_fluke_encode_bcopy(4, _t2_internal, 4 * 100);
    _t3_internal = (unsigned *)(&(*inoutStruct));
    flick_fluke_encode_bcopy(404, _t3_internal, 4 * 100);
    flick_fluke_encode_end_chunk(804);
    flick_fluke_encode_end_glob(804);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(804);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          unsigned *_t8_internal;
          flick_unsigned8_t _t9_array_length;
          unsigned *_t10_internal;
          flick_unsigned8_t _t11_array_length;

          /* Begin decode phase on parameters */
          _t8_internal = (unsigned *)(&(*inoutStruct));
          _t9_array_length = 100;
          flick_fluke_decode_new_chunk(800);
          flick_fluke_decode_bcopy(0, _t8_internal, 4 * _t9_array_length);
          _t10_internal = (unsigned *)(&(*outStruct));
          _t11_array_length = 100;
          flick_fluke_decode_bcopy(400, _t10_internal, 4 * _t11_array_length);
          flick_fluke_decode_end_chunk(800);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(804);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t14_internal;
    unsigned *_t15_internal;

    flick_fluke_encode_new_glob(2404);
    flick_fluke_encode_new_chunk(2404);
    flick_fluke_encode_signed32(0, 5550003);
    /* Begin encode phase on parameters */
    _t14_internal = (unsigned *)inArray;
    flick_fluke_encode_bcopy(4, _t14_internal, 4 * 300);
    _t15_internal = (unsigned *)inoutArray;
    flick_fluke_encode_bcopy(1204, _t15_internal, 4 * 300);
    flick_fluke_encode_end_chunk(2404);
    flick_fluke_encode_end_glob(2404);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(2404);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          unsigned *_t20_internal;
          flick_unsigned16_t _t21_array_length;
          unsigned *_t22_internal;
          flick_unsigned16_t _t23_array_length;

          /* Begin decode phase on parameters */
          _t20_internal = (unsigned *)inoutArray;
          _t21_array_length = 300;
          flick_fluke_decode_new_chunk(2400);
          flick_fluke_decode_bcopy(0, _t20_internal, 4 * _t21_array_length);
          _t22_internal = (unsigned *)outArray;
          _t23_array_length = 300;
          flick_fluke_decode_bcopy(1200, _t22_internal, 4 * _t23_array_length);
          flick_fluke_decode_end_chunk(2400);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(2404);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(2004);
    flick_fluke_encode_new_chunk(4 + 4 * inArrayCnt);
    flick_fluke_encode_signed32(0, 5550004);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, inArray, 4 * inArrayCnt);
    flick_fluke_encode_end_chunk(4 + 4 * inArrayCnt);
    flick_fluke_encode_end_glob(2004);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(2004);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4 * *outArrayCnt);
          flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
          flick_fluke_decode_end_chunk(4 * *outArrayCnt);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(2004);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 5550005);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * inArrayCnt);
    flick_fluke_encode_new_chunk(4 * inArrayCnt);
    flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_fluke_encode_end_chunk(4 * inArrayCnt);
    flick_fluke_encode_end_glob(4 * inArrayCnt);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_new_glob(4 * *outArrayCnt);
          flick_fluke_decode_new_chunk(4 * *outArrayCnt);
          *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
          flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
          flick_fluke_decode_end_chunk(4 * *outArrayCnt);
          flick_fluke_decode_end_glob(4 * *outArrayCnt);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    char *_t26_internal;
    char *_t27_internal;

    flick_fluke_encode_new_glob(1602);
    flick_fluke_encode_new_chunk(1602);
    flick_fluke_encode_signed32(0, 5550006);
    /* Begin encode phase on parameters */
    _t26_internal = (char *)inString;
    flick_fluke_encode_bcopy(4, _t26_internal, 1 * 799);
    _t27_internal = (char *)inoutString;
    flick_fluke_encode_bcopy(803, _t27_internal, 1 * 799);
    flick_fluke_encode_end_chunk(1602);
    flick_fluke_encode_end_glob(1602);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1602);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          char *_t32_internal;
          flick_unsigned16_t _t33_array_length;
          char *_t34_internal;
          flick_unsigned16_t _t35_array_length;

          /* Begin decode phase on parameters */
          _t32_internal = (char *)inoutString;
          _t33_array_length = 799;
          flick_fluke_decode_new_chunk(1598);
          flick_fluke_decode_bcopy(0, _t32_internal, 1 * _t33_array_length);
          _t34_internal = (char *)outString;
          _t35_array_length = 799;
          flick_fluke_decode_bcopy(799, _t34_internal, 1 * _t35_array_length);
          flick_fluke_decode_end_chunk(1598);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1602);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 5550007);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_string(inString, null_flick_free, fluke, 997);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_string(outString, null_flick_alloc, fluke, 997);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550008);
    /* Begin encode phase on parameters */
    flick_fluke_encode_port32(4, inRight, 1);
    flick_fluke_encode_port32(8, *inoutRight, 0);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_port32(0, *inoutRight, 1);
          flick_fluke_decode_port32(4, *outRight, 1);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    mach_msg_type_number_t _t37_array_iter;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 5550009);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * inRightCnt);
    for (_t37_array_iter = 0; _t37_array_iter < inRightCnt; _t37_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_port32(0, inRight[_t37_array_iter], 1);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(4 * inRightCnt);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          mach_msg_type_number_t _t39_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_new_glob(4 * *outRightCnt);
          *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
          for (_t39_array_iter = 0; _t39_array_iter < *outRightCnt; _t39_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_port32(0, (*outRight)[_t39_array_iter], 1);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_end_glob(4 * *outRightCnt);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550011);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inInt);
    flick_fluke_encode_unsigned32(8, *inoutInt);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          flick_unsigned8_t _t42_array_length;
          flick_unsigned8_t _t43_array_length;

          /* Begin decode phase on parameters */
          _t42_array_length = 1;
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutInt);
          _t43_array_length = 1;
          flick_fluke_decode_unsigned32(4, *outInt);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550012);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inStruct);
    flick_fluke_encode_unsigned32(8, *inoutStruct);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          flick_unsigned8_t _t46_array_length;
          flick_unsigned8_t _t47_array_length;

          /* Begin decode phase on parameters */
          _t46_array_length = 1;
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutStruct);
          _t47_array_length = 1;
          flick_fluke_decode_unsigned32(4, *outStruct);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550013);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArray);
    flick_fluke_encode_unsigned32(8, *inoutArray);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          flick_unsigned8_t _t50_array_length;
          flick_unsigned8_t _t51_array_length;

          /* Begin decode phase on parameters */
          _t50_array_length = 1;
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutArray);
          _t51_array_length = 1;
          flick_fluke_decode_unsigned32(4, *outArray);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550014);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArray);
    flick_fluke_encode_unsigned32(8, *inoutArray);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutArray);
          flick_fluke_decode_unsigned32(4, *outArray);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550015);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inString);
    flick_fluke_encode_unsigned32(8, *inoutString);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          flick_unsigned8_t _t54_array_length;
          flick_unsigned8_t _t55_array_length;

          /* Begin decode phase on parameters */
          _t54_array_length = 1;
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutString);
          _t55_array_length = 1;
          flick_fluke_decode_unsigned32(4, *outString);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550016);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inRight);
    flick_fluke_encode_unsigned32(8, *inoutRight);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutRight);
          flick_fluke_decode_unsigned32(4, *outRight);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

