#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->reason);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->reason);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

vec10 *TestSeq_op(mom_ref_t _obj, const vec10 *iv, vec10 **ov, vec10 *iov, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  vec10 *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(92);
    flick_fluke_encode_new_chunk(8 + 4 * iv->_length);
    flick_fluke_encode_unsigned32(0, req_TestSeq_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, iv->_length);
    flick_fluke_encode_bcopy(8, iv->_buffer, 4 * iv->_length);
    flick_fluke_encode_end_chunk(8 + 4 * iv->_length);
    flick_fluke_encode_new_chunk(4 + 4 * iov->_length);
    flick_fluke_encode_unsigned32(0, iov->_length);
    flick_fluke_encode_bcopy(4, iov->_buffer, 4 * iov->_length);
    flick_fluke_encode_end_chunk(4 + 4 * iov->_length);
    flick_fluke_encode_end_glob(92);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(136);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(vec10 ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
          flick_fluke_decode_end_chunk(4 * _return->_length);
          *ov = mom_flick_alloc(sizeof(vec10 ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, (*ov)->_length);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * (*ov)->_length);
          (*ov)->_buffer = mom_flick_alloc((*ov)->_length * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
          flick_fluke_decode_end_chunk(4 * (*ov)->_length);
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, iov->_length);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * iov->_length);
          iov->_buffer = mom_flick_alloc(iov->_length * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
          flick_fluke_decode_end_chunk(4 * iov->_length);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_puke:
              {
                (puke *)(_ev->_except) = mom_flick_alloc(sizeof(puke ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((puke *)(_ev->_except))->reason);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                break;
              }
            }
        }
      }
    flick_fluke_decode_end_glob(136);
  }
  flick_fluke_client_end_decode();
  return _return;
}

