#include "structplain_-client.h"

void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const coord *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->row);
  flick_fluke_encode_signed16(2, _data->col);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, coord *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->row);
  flick_fluke_decode_signed16(2, _data->col);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

oskit_s16_t geom_dist(mom_ref_t _obj, const coord *a, const coord *b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_geom_dist);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a->row);
    flick_fluke_encode_signed16(6, a->col);
    flick_fluke_encode_signed16(8, b->row);
    flick_fluke_encode_signed16(10, b->col);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_end_chunk(2);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(6);
  }
  flick_fluke_client_end_decode();
  return _return;
}

