#include "test1-client.h"

void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_unsigned16(0, *_data);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_unsigned16(0, *_data);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->case_num);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->case_num);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_fluke_encode_longstring(_data->name, null_flick_free, fluke);
  flick_fluke_encode_new_glob(7);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->value);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(7);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_fluke_decode_longstring(_data->name, mom_flick_alloc, fluke);
  flick_fluke_decode_new_glob(7);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->value);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(7);
}

void test1_test_void(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test1_test_void);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

oskit_s16_t test1_test_short(mom_ref_t _obj, oskit_s16_t a1, oskit_s16_t *a2, oskit_s16_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test1_test_short);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a1);
    flick_fluke_encode_signed16(6, *a3);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_signed16(2, *a2);
          flick_fluke_decode_signed16(4, *a3);
          flick_fluke_decode_end_chunk(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(10);
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t test1_test_long(mom_ref_t _obj, oskit_s32_t a1, oskit_s32_t *a2, oskit_s32_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test1_test_long);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a1);
    flick_fluke_encode_signed32(8, *a3);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed32(4, *a2);
          flick_fluke_decode_signed32(8, *a3);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

test1_ushort test1_test_ushort(mom_ref_t _obj, test1_ushort a1, test1_ushort *a2, test1_ushort *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test1_ushort _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test1_test_ushort);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned16(4, a1);
    flick_fluke_encode_unsigned16(6, *a3);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_unsigned16(2, *a2);
          flick_fluke_decode_unsigned16(4, *a3);
          flick_fluke_decode_end_chunk(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(10);
  }
  flick_fluke_client_end_decode();
  return _return;
}

test1_ulong test1_test_ulong(mom_ref_t _obj, test1_ulong a1, test1_ulong *a2, test1_ulong *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test1_ulong _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test1_test_ulong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a1);
    flick_fluke_encode_unsigned32(8, *a3);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *a2);
          flick_fluke_decode_unsigned32(8, *a3);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

float test1_test_float(mom_ref_t _obj, float a1, float *a2, float *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test1_test_float);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, a1);
    flick_fluke_encode_float32(8, *a3);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_float32(4, *a2);
          flick_fluke_decode_float32(8, *a3);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

double test1_test_double(mom_ref_t _obj, double a1, double *a2, double *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(24);
    flick_fluke_encode_new_chunk(24);
    flick_fluke_encode_unsigned32(0, req_test1_test_double);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, a1);
    flick_fluke_encode_float64(16, *a3);
    flick_fluke_encode_end_chunk(24);
    flick_fluke_encode_end_glob(24);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(32);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(28);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_float64(12, *a2);
          flick_fluke_decode_float64(20, *a3);
          flick_fluke_decode_end_chunk(28);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(32);
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_bool_t test1_test_boolean(mom_ref_t _obj, oskit_bool_t a1, oskit_bool_t *a2, oskit_bool_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_bool_t _return;

  memset(&_return, 0, sizeof(oskit_bool_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test1_test_boolean);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a1);
    flick_fluke_encode_unsigned8(5, *a3);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *a2);
          flick_fluke_decode_unsigned8(2, *a3);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

char test1_test_char(mom_ref_t _obj, char a1, char *a2, char *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test1_test_char);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, a1);
    flick_fluke_encode_char8(5, *a3);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_char8(0, _return);
          flick_fluke_decode_char8(1, *a2);
          flick_fluke_decode_char8(2, *a3);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u8_t test1_test_octet(mom_ref_t _obj, oskit_u8_t a1, oskit_u8_t *a2, oskit_u8_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u8_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test1_test_octet);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a1);
    flick_fluke_encode_unsigned8(5, *a3);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *a2);
          flick_fluke_decode_unsigned8(2, *a3);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *test1_test_string(mom_ref_t _obj, const char *a1, char **a2, char **a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test1_test_string);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(a1, null_flick_free, fluke);
    flick_fluke_encode_longstring(*a3, mom_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*a2, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*a3, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

mom_ref_t test1_test_Object(mom_ref_t _obj, const mom_ref_t a1, mom_ref_t *a2, mom_ref_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  memset(&_return, 0, sizeof(mom_ref_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test1_test_Object);
    /* Begin encode phase on parameters */
    flick_fluke_encode_port32(4, a1, 0);
    flick_fluke_encode_port32(8, *a3, 0);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_port32(0, _return, 1);
          flick_fluke_decode_port32(4, *a2, 1);
          flick_fluke_decode_port32(8, *a3, 1);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

void test1_test_throw(mom_ref_t _obj, oskit_s32_t case_num, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test1_test_throw);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, case_num);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_test1_x1:
              {
                (test1_x1 *)(_ev->_except) = mom_flick_alloc(sizeof(test1_x1 ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(8);
                break;
              }
            case exc_test1_x2:
              {
                (test1_x2 *)(_ev->_except) = mom_flick_alloc(sizeof(test1_x2 ));
                flick_fluke_decode_end_glob(8);
                flick_fluke_decode_longstring(((test1_x2 *)(_ev->_except))->name, mom_flick_alloc, fluke);
                flick_fluke_decode_new_glob(7);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(7);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                flick_fluke_decode_end_glob(8);
                break;
              }
            }
        }
      }
  }
  flick_fluke_client_end_decode();
}

void test1_please_exit(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test1_please_exit);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
}

