#include "atomic_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_Atomic_test_swap(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t Atomic_test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t156_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t156_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t156_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t157_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t157_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t157_switch_tag)
            {
            case /* Shor */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t158_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t158_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t158_switch_tag)
                  {
                  case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t159_principal_len;
                        CORBA_short _t160_storage;
                        CORBA_short _t161_storage;
                        CORBA_Environment _t162_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t159_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t159_principal_len);
                        flick_iiop_decode_new_chunk(_t159_principal_len);
                        flick_iiop_decode_end_chunk(_t159_principal_len);
                        flick_iiop_decode_end_glob(_t159_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_swap_decode_signed16(0, _local_a);
                        _local_b = &_t160_storage;
                        flick_cdr_swap_decode_signed16(2, *_local_b);
                        _local_c = &_t161_storage;
                        _ev = &_t162_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(10);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed16(0, _return);
                              flick_cdr_encode_signed16(2, *_local_b);
                              flick_cdr_encode_signed16(4, *_local_c);
                              flick_iiop_encode_end_chunk(6);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(10);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t163_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t163_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t163_switch_tag)
                  {
                  case /* g */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 26368):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_unsigned_long _return = 0;
                        unsigned int _t164_principal_len;
                        CORBA_unsigned_long _t165_storage;
                        CORBA_unsigned_long _t166_storage;
                        CORBA_Environment _t167_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t164_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t164_principal_len);
                        flick_iiop_decode_new_chunk(_t164_principal_len);
                        flick_iiop_decode_end_chunk(_t164_principal_len);
                        flick_iiop_decode_end_glob(_t164_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_a);
                        _local_b = &_t165_storage;
                        flick_cdr_swap_decode_unsigned32(4, *_local_b);
                        _local_c = &_t166_storage;
                        _ev = &_t167_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t168_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t168_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t168_switch_tag)
                  {
                  case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_float _return = 0.000000;
                        unsigned int _t169_principal_len;
                        CORBA_float _t170_storage;
                        CORBA_float _t171_storage;
                        CORBA_Environment _t172_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t169_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t169_principal_len);
                        flick_iiop_decode_new_chunk(_t169_principal_len);
                        flick_iiop_decode_end_chunk(_t169_principal_len);
                        flick_iiop_decode_end_glob(_t169_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_float32(0, _local_a);
                        _local_b = &_t170_storage;
                        flick_cdr_swap_decode_float32(4, *_local_b);
                        _local_c = &_t171_storage;
                        _ev = &_t172_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_float32(0, _return);
                              flick_cdr_encode_float32(4, *_local_b);
                              flick_cdr_encode_float32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t173_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t173_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t173_switch_tag)
                  {
                  case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_octet _return = 0;
                        unsigned int _t174_principal_len;
                        CORBA_octet _t175_storage;
                        CORBA_octet _t176_storage;
                        CORBA_Environment _t177_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t174_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t174_principal_len);
                        flick_iiop_decode_new_chunk(_t174_principal_len);
                        flick_iiop_decode_end_chunk(_t174_principal_len);
                        flick_iiop_decode_end_glob(_t174_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a);
                        _local_b = &_t175_storage;
                        flick_cdr_swap_decode_unsigned8(1, *_local_b);
                        _local_c = &_t176_storage;
                        _ev = &_t177_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t178_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t178_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t178_switch_tag)
            {
            case /* Long */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1282371175):
              {
                char _t179_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t179_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t179_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t180_principal_len;
                        CORBA_long _t181_storage;
                        CORBA_long _t182_storage;
                        CORBA_Environment _t183_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t180_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t180_principal_len);
                        flick_iiop_decode_new_chunk(_t180_principal_len);
                        flick_iiop_decode_end_chunk(_t180_principal_len);
                        flick_iiop_decode_end_glob(_t180_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t181_storage;
                        flick_cdr_swap_decode_signed32(4, *_local_b);
                        _local_c = &_t182_storage;
                        _ev = &_t183_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_cdr_encode_signed32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1130914162):
              {
                char _t184_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t184_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t184_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_char _return = 0;
                        unsigned int _t185_principal_len;
                        CORBA_char _t186_storage;
                        CORBA_char _t187_storage;
                        CORBA_Environment _t188_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t185_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t185_principal_len);
                        flick_iiop_decode_new_chunk(_t185_principal_len);
                        flick_iiop_decode_end_chunk(_t185_principal_len);
                        flick_iiop_decode_end_glob(_t185_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a);
                        _local_b = &_t186_storage;
                        flick_cdr_swap_decode_char8(1, *_local_b);
                        _local_c = &_t187_storage;
                        _ev = &_t188_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_char8(0, _return);
                              flick_cdr_encode_char8(1, *_local_b);
                              flick_cdr_encode_char8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t189_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t189_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t189_switch_tag)
            {
            case /* USho */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t190_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t190_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t190_switch_tag)
                  {
                  case /* rt */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29300):
                    {
                      char _t191_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t191_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t191_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_unsigned_short _return = 0;
                              unsigned int _t192_principal_len;
                              CORBA_unsigned_short _t193_storage;
                              CORBA_unsigned_short _t194_storage;
                              CORBA_Environment _t195_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t192_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t192_principal_len);
                              flick_iiop_decode_new_chunk(_t192_principal_len);
                              flick_iiop_decode_end_chunk(_t192_principal_len);
                              flick_iiop_decode_end_glob(_t192_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_unsigned16(0, _local_a);
                              _local_b = &_t193_storage;
                              flick_cdr_swap_decode_unsigned16(2, *_local_b);
                              _local_c = &_t194_storage;
                              _ev = &_t195_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_b);
                                    flick_cdr_encode_unsigned16(4, *_local_c);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t196_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t196_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t196_switch_tag)
                  {
                  case /* le */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 27749):
                    {
                      char _t197_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t197_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t197_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              CORBA_double _local_a;
                              CORBA_double *_local_b;
                              CORBA_double *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_double _return = 0.000000;
                              unsigned int _t198_principal_len;
                              CORBA_double _t199_storage;
                              CORBA_double _t200_storage;
                              CORBA_Environment _t201_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t198_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t198_principal_len);
                              flick_iiop_decode_new_chunk(_t198_principal_len);
                              flick_iiop_decode_end_chunk(_t198_principal_len);
                              flick_iiop_decode_end_glob(_t198_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_a);
                              _local_b = &_t199_storage;
                              flick_cdr_swap_decode_float64(8, *_local_b);
                              _local_c = &_t200_storage;
                              _ev = &_t201_storage;
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(32);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return);
                                    flick_cdr_encode_float64(8, *_local_b);
                                    flick_cdr_encode_float64(16, *_local_c);
                                    flick_iiop_encode_end_chunk(24);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(32);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t202_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t202_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t202_switch_tag)
            {
            case /* Bool */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t203_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t203_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t203_switch_tag)
                  {
                  case /* ean */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_boolean _return = 0;
                        unsigned int _t204_principal_len;
                        CORBA_boolean _t205_storage;
                        CORBA_boolean _t206_storage;
                        CORBA_Environment _t207_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t204_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t204_principal_len);
                        flick_iiop_decode_new_chunk(_t204_principal_len);
                        flick_iiop_decode_end_chunk(_t204_principal_len);
                        flick_iiop_decode_end_glob(_t204_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a);
                        _local_b = &_t205_storage;
                        flick_cdr_swap_decode_unsigned8(1, *_local_b);
                        _local_c = &_t206_storage;
                        _ev = &_t207_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t52_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t52_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t52_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t53_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t53_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t53_switch_tag)
            {
            case /* Shor */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t54_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t54_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t54_switch_tag)
                  {
                  case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t55_principal_len;
                        CORBA_short _t56_storage;
                        CORBA_short _t57_storage;
                        CORBA_Environment _t58_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t55_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t55_principal_len);
                        flick_iiop_decode_new_chunk(_t55_principal_len);
                        flick_iiop_decode_end_chunk(_t55_principal_len);
                        flick_iiop_decode_end_glob(_t55_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_decode_signed16(0, _local_a);
                        _local_b = &_t56_storage;
                        flick_cdr_decode_signed16(2, *_local_b);
                        _local_c = &_t57_storage;
                        _ev = &_t58_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(10);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed16(0, _return);
                              flick_cdr_encode_signed16(2, *_local_b);
                              flick_cdr_encode_signed16(4, *_local_c);
                              flick_iiop_encode_end_chunk(6);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(10);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t59_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t59_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t59_switch_tag)
                  {
                  case /* g */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 26368):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_unsigned_long _return = 0;
                        unsigned int _t60_principal_len;
                        CORBA_unsigned_long _t61_storage;
                        CORBA_unsigned_long _t62_storage;
                        CORBA_Environment _t63_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t60_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t60_principal_len);
                        flick_iiop_decode_new_chunk(_t60_principal_len);
                        flick_iiop_decode_end_chunk(_t60_principal_len);
                        flick_iiop_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_a);
                        _local_b = &_t61_storage;
                        flick_cdr_decode_unsigned32(4, *_local_b);
                        _local_c = &_t62_storage;
                        _ev = &_t63_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t64_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t64_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t64_switch_tag)
                  {
                  case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_float _return = 0.000000;
                        unsigned int _t65_principal_len;
                        CORBA_float _t66_storage;
                        CORBA_float _t67_storage;
                        CORBA_Environment _t68_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t65_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t65_principal_len);
                        flick_iiop_decode_new_chunk(_t65_principal_len);
                        flick_iiop_decode_end_chunk(_t65_principal_len);
                        flick_iiop_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_float32(0, _local_a);
                        _local_b = &_t66_storage;
                        flick_cdr_decode_float32(4, *_local_b);
                        _local_c = &_t67_storage;
                        _ev = &_t68_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_float32(0, _return);
                              flick_cdr_encode_float32(4, *_local_b);
                              flick_cdr_encode_float32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t69_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t69_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t69_switch_tag)
                  {
                  case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_octet _return = 0;
                        unsigned int _t70_principal_len;
                        CORBA_octet _t71_storage;
                        CORBA_octet _t72_storage;
                        CORBA_Environment _t73_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t70_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t70_principal_len);
                        flick_iiop_decode_new_chunk(_t70_principal_len);
                        flick_iiop_decode_end_chunk(_t70_principal_len);
                        flick_iiop_decode_end_glob(_t70_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a);
                        _local_b = &_t71_storage;
                        flick_cdr_decode_unsigned8(1, *_local_b);
                        _local_c = &_t72_storage;
                        _ev = &_t73_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t74_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t74_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t74_switch_tag)
            {
            case /* Long */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1282371175):
              {
                char _t75_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t75_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t75_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t76_principal_len;
                        CORBA_long _t77_storage;
                        CORBA_long _t78_storage;
                        CORBA_Environment _t79_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t76_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t76_principal_len);
                        flick_iiop_decode_new_chunk(_t76_principal_len);
                        flick_iiop_decode_end_chunk(_t76_principal_len);
                        flick_iiop_decode_end_glob(_t76_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t77_storage;
                        flick_cdr_decode_signed32(4, *_local_b);
                        _local_c = &_t78_storage;
                        _ev = &_t79_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_cdr_encode_signed32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1130914162):
              {
                char _t80_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t80_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t80_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_char _return = 0;
                        unsigned int _t81_principal_len;
                        CORBA_char _t82_storage;
                        CORBA_char _t83_storage;
                        CORBA_Environment _t84_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t81_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t81_principal_len);
                        flick_iiop_decode_new_chunk(_t81_principal_len);
                        flick_iiop_decode_end_chunk(_t81_principal_len);
                        flick_iiop_decode_end_glob(_t81_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a);
                        _local_b = &_t82_storage;
                        flick_cdr_decode_char8(1, *_local_b);
                        _local_c = &_t83_storage;
                        _ev = &_t84_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_char8(0, _return);
                              flick_cdr_encode_char8(1, *_local_b);
                              flick_cdr_encode_char8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t85_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t85_switch_tag)
            {
            case /* USho */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t86_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t86_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t86_switch_tag)
                  {
                  case /* rt */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29300):
                    {
                      char _t87_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t87_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t87_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_unsigned_short _return = 0;
                              unsigned int _t88_principal_len;
                              CORBA_unsigned_short _t89_storage;
                              CORBA_unsigned_short _t90_storage;
                              CORBA_Environment _t91_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t88_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t88_principal_len);
                              flick_iiop_decode_new_chunk(_t88_principal_len);
                              flick_iiop_decode_end_chunk(_t88_principal_len);
                              flick_iiop_decode_end_glob(_t88_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_unsigned16(0, _local_a);
                              _local_b = &_t89_storage;
                              flick_cdr_decode_unsigned16(2, *_local_b);
                              _local_c = &_t90_storage;
                              _ev = &_t91_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_b);
                                    flick_cdr_encode_unsigned16(4, *_local_c);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t92_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t92_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t92_switch_tag)
                  {
                  case /* le */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 27749):
                    {
                      char _t93_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t93_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t93_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              CORBA_double _local_a;
                              CORBA_double *_local_b;
                              CORBA_double *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_double _return = 0.000000;
                              unsigned int _t94_principal_len;
                              CORBA_double _t95_storage;
                              CORBA_double _t96_storage;
                              CORBA_Environment _t97_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t94_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t94_principal_len);
                              flick_iiop_decode_new_chunk(_t94_principal_len);
                              flick_iiop_decode_end_chunk(_t94_principal_len);
                              flick_iiop_decode_end_glob(_t94_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_a);
                              _local_b = &_t95_storage;
                              flick_cdr_decode_float64(8, *_local_b);
                              _local_c = &_t96_storage;
                              _ev = &_t97_storage;
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(32);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return);
                                    flick_cdr_encode_float64(8, *_local_b);
                                    flick_cdr_encode_float64(16, *_local_c);
                                    flick_iiop_encode_end_chunk(24);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(32);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t98_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t98_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t98_switch_tag)
            {
            case /* Bool */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t99_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t99_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t99_switch_tag)
                  {
                  case /* ean */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        Atomic_test _obj;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_boolean _return = 0;
                        unsigned int _t100_principal_len;
                        CORBA_boolean _t101_storage;
                        CORBA_boolean _t102_storage;
                        CORBA_Environment _t103_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t100_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t100_principal_len);
                        flick_iiop_decode_new_chunk(_t100_principal_len);
                        flick_iiop_decode_end_chunk(_t100_principal_len);
                        flick_iiop_decode_end_glob(_t100_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a);
                        _local_b = &_t101_storage;
                        flick_cdr_decode_unsigned8(1, *_local_b);
                        _local_c = &_t102_storage;
                        _ev = &_t103_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
