#include "interface_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_long10_swap(flick_marshal_stream_t _stream, long10 *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_math_swap(flick_marshal_stream_t _stream, math *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t math_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t120_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t120_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t120_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t121_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t121_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t121_switch_tag)
            {
            case /* adds */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t122_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t122_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t122_switch_tag)
                  {
                  case /* hort */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1752134260):
                    {
                      char _t123_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t123_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t123_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t124_principal_len;
                              CORBA_Environment _t125_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t124_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t124_principal_len);
                              flick_iiop_decode_new_chunk(_t124_principal_len);
                              flick_iiop_decode_end_chunk(_t124_principal_len);
                              flick_iiop_decode_end_glob(_t124_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_a);
                              flick_cdr_swap_decode_signed16(2, _local_b);
                              _ev = &_t125_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_addshort(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t126_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t126_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t126_switch_tag)
                  {
                  case /* hort */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1752134260):
                    {
                      char _t127_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t127_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t127_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t128_principal_len;
                              CORBA_Environment _t129_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t128_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t128_principal_len);
                              flick_iiop_decode_new_chunk(_t128_principal_len);
                              flick_iiop_decode_end_chunk(_t128_principal_len);
                              flick_iiop_decode_end_glob(_t128_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_a);
                              flick_cdr_swap_decode_signed16(2, _local_b);
                              _ev = &_t129_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_subshort(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t130_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t130_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t130_switch_tag)
                  {
                  case /* long */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1819242087):
                    {
                      char _t131_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t131_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t131_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              CORBA_long _local_a;
                              CORBA_long _local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t132_principal_len;
                              CORBA_Environment _t133_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t132_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t132_principal_len);
                              flick_iiop_decode_new_chunk(_t132_principal_len);
                              flick_iiop_decode_end_chunk(_t132_principal_len);
                              flick_iiop_decode_end_glob(_t132_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_a);
                              flick_cdr_swap_decode_signed32(4, _local_b);
                              _ev = &_t133_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(11);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_multlong(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t134_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t134_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t134_switch_tag)
            {
            case /* mult */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t135_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t135_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t135_switch_tag)
                  {
                  case /* shor */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t136_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t136_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t136_switch_tag)
                        {
                        case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                          {
                            {
                              math _obj;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t137_principal_len;
                              CORBA_Environment _t138_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t137_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t137_principal_len);
                              flick_iiop_decode_new_chunk(_t137_principal_len);
                              flick_iiop_decode_end_chunk(_t137_principal_len);
                              flick_iiop_decode_end_glob(_t137_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_a);
                              flick_cdr_swap_decode_signed16(2, _local_b);
                              _ev = &_t138_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_multshort(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t139_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t139_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t139_switch_tag)
            {
            case /* addl */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t140_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t140_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t140_switch_tag)
                  {
                  case /* ong */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t141_principal_len;
                        CORBA_Environment _t142_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t141_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_decode_new_glob(_t141_principal_len);
                        flick_iiop_decode_new_chunk(_t141_principal_len);
                        flick_iiop_decode_end_chunk(_t141_principal_len);
                        flick_iiop_decode_end_glob(_t141_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        flick_cdr_swap_decode_signed32(4, _local_b);
                        _ev = &_t142_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = math_addlong(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t143_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t143_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t143_switch_tag)
                  {
                  case /* ong */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t144_principal_len;
                        CORBA_Environment _t145_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t144_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_decode_new_glob(_t144_principal_len);
                        flick_iiop_decode_new_chunk(_t144_principal_len);
                        flick_iiop_decode_end_chunk(_t144_principal_len);
                        flick_iiop_decode_end_glob(_t144_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        flick_cdr_swap_decode_signed32(4, _local_b);
                        _ev = &_t145_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = math_sublong(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t146_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t146_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t146_switch_tag)
            {
            case /* addl */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t147_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t147_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t147_switch_tag)
                  {
                  case /* ongl */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t148_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t148_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t148_switch_tag)
                        {
                        case /* ist */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              math _obj;
                              long10 *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t149_principal_len;
                              long10 _t150_storage;
                              unsigned long int _t151_array_iter;
                              CORBA_Environment _t152_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t149_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t149_principal_len);
                              flick_iiop_decode_new_chunk(_t149_principal_len);
                              flick_iiop_decode_end_chunk(_t149_principal_len);
                              flick_iiop_decode_end_glob(_t149_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t150_storage;
                              flick_iiop_decode_new_glob(47);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length);
                              flick_iiop_decode_end_chunk(4);
                              _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              for (_t151_array_iter = 0; _t151_array_iter < _local_a->_length; _t151_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t151_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              _ev = &_t152_storage;
                              flick_iiop_decode_end_glob(47);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_addlonglist(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t153_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t153_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t153_switch_tag)
            {
            case /* mult */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t154_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t154_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t154_switch_tag)
                  {
                  case /* long */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t155_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t155_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t155_switch_tag)
                        {
                        case /* list */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1818850164):
                          {
                            char _t156_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t156_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t156_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    math _obj;
                                    long10 *_local_a;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t157_principal_len;
                                    long10 _t158_storage;
                                    unsigned long int _t159_array_iter;
                                    CORBA_Environment _t160_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t157_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t157_principal_len);
                                    flick_iiop_decode_new_chunk(_t157_principal_len);
                                    flick_iiop_decode_end_chunk(_t157_principal_len);
                                    flick_iiop_decode_end_glob(_t157_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = &_t158_storage;
                                    flick_iiop_decode_new_glob(47);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a->_length);
                                    flick_iiop_decode_end_chunk(4);
                                    _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                    for (_t159_array_iter = 0; _t159_array_iter < _local_a->_length; _t159_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t159_array_iter]);
                                        flick_iiop_decode_end_chunk(4);
                                      }
                                    _ev = &_t160_storage;
                                    flick_iiop_decode_end_glob(47);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = math_multlonglist(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t40_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t40_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t40_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t41_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t41_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t41_switch_tag)
            {
            case /* adds */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t42_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t42_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t42_switch_tag)
                  {
                  case /* hort */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1752134260):
                    {
                      char _t43_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t43_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t43_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t44_principal_len;
                              CORBA_Environment _t45_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t44_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t44_principal_len);
                              flick_iiop_decode_new_chunk(_t44_principal_len);
                              flick_iiop_decode_end_chunk(_t44_principal_len);
                              flick_iiop_decode_end_glob(_t44_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_a);
                              flick_cdr_decode_signed16(2, _local_b);
                              _ev = &_t45_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_addshort(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t46_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t46_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t46_switch_tag)
                  {
                  case /* hort */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1752134260):
                    {
                      char _t47_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t47_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t47_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t48_principal_len;
                              CORBA_Environment _t49_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t48_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t48_principal_len);
                              flick_iiop_decode_new_chunk(_t48_principal_len);
                              flick_iiop_decode_end_chunk(_t48_principal_len);
                              flick_iiop_decode_end_glob(_t48_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_a);
                              flick_cdr_decode_signed16(2, _local_b);
                              _ev = &_t49_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_subshort(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t50_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t50_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t50_switch_tag)
                  {
                  case /* long */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1819242087):
                    {
                      char _t51_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t51_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t51_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              CORBA_long _local_a;
                              CORBA_long _local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t52_principal_len;
                              CORBA_Environment _t53_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t52_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t52_principal_len);
                              flick_iiop_decode_new_chunk(_t52_principal_len);
                              flick_iiop_decode_end_chunk(_t52_principal_len);
                              flick_iiop_decode_end_glob(_t52_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_a);
                              flick_cdr_decode_signed32(4, _local_b);
                              _ev = &_t53_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(11);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_multlong(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t54_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t54_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t54_switch_tag)
            {
            case /* mult */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t55_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t55_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t55_switch_tag)
                  {
                  case /* shor */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t56_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t56_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t56_switch_tag)
                        {
                        case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                          {
                            {
                              math _obj;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t57_principal_len;
                              CORBA_Environment _t58_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t57_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t57_principal_len);
                              flick_iiop_decode_new_chunk(_t57_principal_len);
                              flick_iiop_decode_end_chunk(_t57_principal_len);
                              flick_iiop_decode_end_glob(_t57_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_a);
                              flick_cdr_decode_signed16(2, _local_b);
                              _ev = &_t58_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_multshort(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t59_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t59_switch_tag)
            {
            case /* addl */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t60_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t60_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t60_switch_tag)
                  {
                  case /* ong */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t61_principal_len;
                        CORBA_Environment _t62_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t61_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_decode_new_glob(_t61_principal_len);
                        flick_iiop_decode_new_chunk(_t61_principal_len);
                        flick_iiop_decode_end_chunk(_t61_principal_len);
                        flick_iiop_decode_end_glob(_t61_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        flick_cdr_decode_signed32(4, _local_b);
                        _ev = &_t62_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = math_addlong(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t63_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t63_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t63_switch_tag)
                  {
                  case /* ong */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t64_principal_len;
                        CORBA_Environment _t65_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t64_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_decode_new_glob(_t64_principal_len);
                        flick_iiop_decode_new_chunk(_t64_principal_len);
                        flick_iiop_decode_end_chunk(_t64_principal_len);
                        flick_iiop_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        flick_cdr_decode_signed32(4, _local_b);
                        _ev = &_t65_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = math_sublong(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t66_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t66_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t66_switch_tag)
            {
            case /* addl */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t67_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t67_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t67_switch_tag)
                  {
                  case /* ongl */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t68_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t68_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t68_switch_tag)
                        {
                        case /* ist */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              math _obj;
                              long10 *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t69_principal_len;
                              long10 _t70_storage;
                              CORBA_Environment _t71_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t69_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t69_principal_len);
                              flick_iiop_decode_new_chunk(_t69_principal_len);
                              flick_iiop_decode_end_chunk(_t69_principal_len);
                              flick_iiop_decode_end_glob(_t69_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t70_storage;
                              flick_iiop_decode_new_glob(47);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_unsigned32(0, _local_a->_length);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_new_chunk(4 * _local_a->_length);
                              flick_cdr_decode_msgptr(0, _local_a->_buffer);
                              flick_iiop_decode_end_chunk(4 * _local_a->_length);
                              _ev = &_t71_storage;
                              flick_iiop_decode_end_glob(47);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = math_addlonglist(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t72_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t72_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t72_switch_tag)
            {
            case /* mult */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t73_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t73_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t73_switch_tag)
                  {
                  case /* long */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t74_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t74_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t74_switch_tag)
                        {
                        case /* list */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1818850164):
                          {
                            char _t75_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t75_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t75_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    math _obj;
                                    long10 *_local_a;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t76_principal_len;
                                    long10 _t77_storage;
                                    CORBA_Environment _t78_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t76_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t76_principal_len);
                                    flick_iiop_decode_new_chunk(_t76_principal_len);
                                    flick_iiop_decode_end_chunk(_t76_principal_len);
                                    flick_iiop_decode_end_glob(_t76_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = &_t77_storage;
                                    flick_iiop_decode_new_glob(47);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_unsigned32(0, _local_a->_length);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk(4 * _local_a->_length);
                                    flick_cdr_decode_msgptr(0, _local_a->_buffer);
                                    flick_iiop_decode_end_chunk(4 * _local_a->_length);
                                    _ev = &_t78_storage;
                                    flick_iiop_decode_end_glob(47);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = math_multlonglist(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
