#include "mig-types-client.h"

kern_return_t snd(mach_port_t target, char _char, byte _byte, bool _bool, shortshort _short8, short _short16, int _int, long int _long, signed int _signed, unsigned int _unsigned, float _float, double _double)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(48);
    flick_iiop_encode_new_chunk(36);
    flick_cdr_encode_signed32(0, 4440000);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, _char);
    flick_cdr_encode_signed8(9, _byte);
    flick_cdr_encode_unsigned8(10, _bool);
    flick_cdr_encode_signed8(11, _short8);
    flick_cdr_encode_signed16(12, _short16);
    flick_cdr_encode_signed32(16, _int);
    flick_cdr_encode_signed32(20, _long);
    flick_cdr_encode_signed32(24, _signed);
    flick_cdr_encode_signed32(28, _unsigned);
    flick_cdr_encode_float32(32, _float);
    flick_iiop_encode_end_chunk(36);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, _double);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(48);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rcv(mach_port_t target, char *_char, byte *_byte, bool *_bool, shortshort *_short8, short *_short16, int *_int, long int *_long, signed int *_signed, unsigned int *_unsigned, float *_float, double *_double)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440001);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(44);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(28);
            flick_cdr_swap_decode_char8(0, *_char);
            flick_cdr_swap_decode_signed8(1, *_byte);
            flick_cdr_swap_decode_unsigned8(2, *_bool);
            flick_cdr_swap_decode_signed8(3, *_short8);
            flick_cdr_swap_decode_signed16(4, *_short16);
            flick_cdr_swap_decode_signed32(8, *_int);
            flick_cdr_swap_decode_signed32(12, *_long);
            flick_cdr_swap_decode_signed32(16, *_signed);
            flick_cdr_swap_decode_signed32(20, *_unsigned);
            flick_cdr_swap_decode_float32(24, *_float);
            flick_iiop_decode_end_chunk(28);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, *_double);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(44);
    }
  } else {
    {
      flick_iiop_decode_new_glob(44);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(28);
            flick_cdr_decode_char8(0, *_char);
            flick_cdr_decode_signed8(1, *_byte);
            flick_cdr_decode_unsigned8(2, *_bool);
            flick_cdr_decode_signed8(3, *_short8);
            flick_cdr_decode_signed16(4, *_short16);
            flick_cdr_decode_signed32(8, *_int);
            flick_cdr_decode_signed32(12, *_long);
            flick_cdr_decode_signed32(16, *_signed);
            flick_cdr_decode_signed32(20, *_unsigned);
            flick_cdr_decode_float32(24, *_float);
            flick_iiop_decode_end_chunk(28);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, *_double);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(44);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t sndArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    char *_t11_internal;
    byte *_t12_internal;
    bool *_t13_internal;
    shortshort *_t14_internal;
    short *_t15_internal;
    int *_t16_internal;
    long *_t17_internal;
    signed *_t18_internal;
    unsigned *_t19_internal;
    float *_t20_internal;
    double *_t21_internal;

    flick_iiop_encode_new_glob(320);
    flick_iiop_encode_new_chunk(244);
    flick_cdr_encode_signed32(0, 4440002);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t11_internal = (char *)_charA;
    flick_cdr_encode_bcopy(8, _t11_internal, 1 * 9);
    _t12_internal = (byte *)_byteA;
    flick_cdr_encode_bcopy(17, _t12_internal, 1 * 9);
    _t13_internal = (bool *)_boolA;
    flick_cdr_encode_bcopy(26, _t13_internal, 1 * 9);
    _t14_internal = (shortshort *)_short8A;
    flick_cdr_encode_bcopy(35, _t14_internal, 1 * 9);
    _t15_internal = (short *)_short16A;
    flick_cdr_encode_bcopy(44, _t15_internal, 2 * 9);
    _t16_internal = (int *)_intA;
    flick_cdr_encode_bcopy(64, _t16_internal, 4 * 9);
    _t17_internal = (long *)_longA;
    flick_cdr_encode_bcopy(100, _t17_internal, 4 * 9);
    _t18_internal = (signed *)_signedA;
    flick_cdr_encode_bcopy(136, _t18_internal, 4 * 9);
    _t19_internal = (unsigned *)_unsignedA;
    flick_cdr_encode_bcopy(172, _t19_internal, 4 * 9);
    _t20_internal = (float *)_floatA;
    flick_cdr_encode_bcopy(208, _t20_internal, 4 * 9);
    _t21_internal = (double *)_doubleA;
    flick_iiop_encode_end_chunk(244);
    flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
    flick_cdr_encode_bcopy(0, _t21_internal, 8 * 9);
    flick_iiop_encode_end_chunk(72);
    flick_iiop_encode_end_glob(320);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rcvArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440003);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(373);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t99_internal;
            flick_unsigned8_t _t100_array_length;
            flick_unsigned8_t _t101_array_iter;
            byte *_t102_internal;
            flick_unsigned8_t _t103_array_length;
            flick_unsigned8_t _t104_array_iter;
            bool *_t105_internal;
            flick_unsigned8_t _t106_array_length;
            flick_unsigned8_t _t107_array_iter;
            shortshort *_t108_internal;
            flick_unsigned8_t _t109_array_length;
            flick_unsigned8_t _t110_array_iter;
            short *_t111_internal;
            flick_unsigned8_t _t112_array_length;
            flick_unsigned8_t _t113_array_iter;
            int *_t114_internal;
            flick_unsigned8_t _t115_array_length;
            flick_unsigned8_t _t116_array_iter;
            long *_t117_internal;
            flick_unsigned8_t _t118_array_length;
            flick_unsigned8_t _t119_array_iter;
            signed *_t120_internal;
            flick_unsigned8_t _t121_array_length;
            flick_unsigned8_t _t122_array_iter;
            unsigned *_t123_internal;
            flick_unsigned8_t _t124_array_length;
            flick_unsigned8_t _t125_array_iter;
            float *_t126_internal;
            flick_unsigned8_t _t127_array_length;
            flick_unsigned8_t _t128_array_iter;
            double *_t129_internal;
            flick_unsigned8_t _t130_array_length;
            flick_unsigned8_t _t131_array_iter;

            /* Begin decode phase on parameters */
            _t99_internal = (char *)_charA;
            _t100_array_length = 9;
            for (_t101_array_iter = 0; _t101_array_iter < _t100_array_length; _t101_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t99_internal[_t101_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t102_internal = (byte *)_byteA;
            _t103_array_length = 9;
            for (_t104_array_iter = 0; _t104_array_iter < _t103_array_length; _t104_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _t102_internal[_t104_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t105_internal = (bool *)_boolA;
            _t106_array_length = 9;
            for (_t107_array_iter = 0; _t107_array_iter < _t106_array_length; _t107_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _t105_internal[_t107_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t108_internal = (shortshort *)_short8A;
            _t109_array_length = 9;
            for (_t110_array_iter = 0; _t110_array_iter < _t109_array_length; _t110_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _t108_internal[_t110_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t111_internal = (short *)_short16A;
            _t112_array_length = 9;
            for (_t113_array_iter = 0; _t113_array_iter < _t112_array_length; _t113_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                flick_cdr_swap_decode_signed16(0, _t111_internal[_t113_array_iter]);
                flick_iiop_decode_end_chunk(2);
              }
            _t114_internal = (int *)_intA;
            _t115_array_length = 9;
            for (_t116_array_iter = 0; _t116_array_iter < _t115_array_length; _t116_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_swap_decode_signed32(0, _t114_internal[_t116_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t117_internal = (long *)_longA;
            _t118_array_length = 9;
            for (_t119_array_iter = 0; _t119_array_iter < _t118_array_length; _t119_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t117_internal[_t119_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t120_internal = (signed *)_signedA;
            _t121_array_length = 9;
            for (_t122_array_iter = 0; _t122_array_iter < _t121_array_length; _t122_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t120_internal[_t122_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t123_internal = (unsigned *)_unsignedA;
            _t124_array_length = 9;
            for (_t125_array_iter = 0; _t125_array_iter < _t124_array_length; _t125_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t123_internal[_t125_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t126_internal = (float *)_floatA;
            _t127_array_length = 9;
            for (_t128_array_iter = 0; _t128_array_iter < _t127_array_length; _t128_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_float32(0, _t126_internal[_t128_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t129_internal = (double *)_doubleA;
            _t130_array_length = 9;
            for (_t131_array_iter = 0; _t131_array_iter < _t130_array_length; _t131_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                flick_cdr_swap_decode_float64(0, _t129_internal[_t131_array_iter]);
                flick_iiop_decode_end_chunk(8);
              }
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(373);
    }
  } else {
    {
      flick_iiop_decode_new_glob(316);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t44_internal;
            flick_unsigned8_t _t45_array_length;
            byte *_t46_internal;
            flick_unsigned8_t _t47_array_length;
            bool *_t48_internal;
            flick_unsigned8_t _t49_array_length;
            shortshort *_t50_internal;
            flick_unsigned8_t _t51_array_length;
            short *_t52_internal;
            flick_unsigned8_t _t53_array_length;
            int *_t54_internal;
            flick_unsigned8_t _t55_array_length;
            long *_t56_internal;
            flick_unsigned8_t _t57_array_length;
            signed *_t58_internal;
            flick_unsigned8_t _t59_array_length;
            unsigned *_t60_internal;
            flick_unsigned8_t _t61_array_length;
            float *_t62_internal;
            flick_unsigned8_t _t63_array_length;
            double *_t64_internal;
            flick_unsigned8_t _t65_array_length;

            /* Begin decode phase on parameters */
            _t44_internal = (char *)_charA;
            _t45_array_length = 9;
            flick_iiop_decode_new_chunk(236);
            flick_cdr_decode_bcopy(0, _t44_internal, 1 * _t45_array_length);
            _t46_internal = (byte *)_byteA;
            _t47_array_length = 9;
            flick_cdr_decode_bcopy(9, _t46_internal, 1 * _t47_array_length);
            _t48_internal = (bool *)_boolA;
            _t49_array_length = 9;
            flick_cdr_decode_bcopy(18, _t48_internal, 1 * _t49_array_length);
            _t50_internal = (shortshort *)_short8A;
            _t51_array_length = 9;
            flick_cdr_decode_bcopy(27, _t50_internal, 1 * _t51_array_length);
            _t52_internal = (short *)_short16A;
            _t53_array_length = 9;
            flick_cdr_decode_bcopy(36, _t52_internal, 2 * _t53_array_length);
            _t54_internal = (int *)_intA;
            _t55_array_length = 9;
            flick_cdr_decode_bcopy(56, _t54_internal, 4 * _t55_array_length);
            _t56_internal = (long *)_longA;
            _t57_array_length = 9;
            flick_cdr_decode_bcopy(92, _t56_internal, 4 * _t57_array_length);
            _t58_internal = (signed *)_signedA;
            _t59_array_length = 9;
            flick_cdr_decode_bcopy(128, _t58_internal, 4 * _t59_array_length);
            _t60_internal = (unsigned *)_unsignedA;
            _t61_array_length = 9;
            flick_cdr_decode_bcopy(164, _t60_internal, 4 * _t61_array_length);
            _t62_internal = (float *)_floatA;
            _t63_array_length = 9;
            flick_cdr_decode_bcopy(200, _t62_internal, 4 * _t63_array_length);
            _t64_internal = (double *)_doubleA;
            _t65_array_length = 9;
            flick_iiop_decode_end_chunk(236);
            flick_iiop_decode_new_chunk_align(72, 3, 2, 0);
            flick_cdr_decode_bcopy(0, _t64_internal, 8 * _t65_array_length);
            flick_iiop_decode_end_chunk(72);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(316);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

