#include "mig-types-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
flick_operation_success_t types_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t191_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t191_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t191_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;
            kern_return_t _return;
            unsigned int _t192_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t192_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t192_principal_len);
            flick_iiop_decode_new_chunk(_t192_principal_len);
            flick_iiop_decode_end_chunk(_t192_principal_len);
            flick_iiop_decode_end_glob(_t192_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(41);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_char8(0, _char);
            flick_cdr_swap_decode_signed8(1, _byte);
            flick_cdr_swap_decode_unsigned8(2, _bool);
            flick_cdr_swap_decode_signed8(3, _short8);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, _short16);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_new_chunk_align(20, 2, 1, 0);
            flick_cdr_swap_decode_signed32(0, _int);
            flick_cdr_swap_decode_signed32(4, _long);
            flick_cdr_swap_decode_signed32(8, _signed);
            flick_cdr_swap_decode_signed32(12, _unsigned);
            flick_cdr_swap_decode_float32(16, _float);
            flick_iiop_decode_end_chunk(20);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _double);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(41);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            char *_char;
            byte *_byte;
            bool *_bool;
            shortshort *_short8;
            short *_short16;
            int *_int;
            long int *_long;
            signed int *_signed;
            unsigned int *_unsigned;
            float *_float;
            double *_double;
            kern_return_t _return;
            unsigned int _t193_principal_len;
            char _t194_storage;
            byte _t195_storage;
            bool _t196_storage;
            shortshort _t197_storage;
            short _t198_storage;
            int _t199_storage;
            long int _t200_storage;
            signed int _t201_storage;
            unsigned int _t202_storage;
            float _t203_storage;
            double _t204_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t193_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t193_principal_len);
            flick_iiop_decode_new_chunk(_t193_principal_len);
            flick_iiop_decode_end_chunk(_t193_principal_len);
            flick_iiop_decode_end_glob(_t193_principal_len);
            /* Begin decode phase on parameters */
            _char = &_t194_storage;
            _byte = &_t195_storage;
            _bool = &_t196_storage;
            _short8 = &_t197_storage;
            _short16 = &_t198_storage;
            _int = &_t199_storage;
            _long = &_t200_storage;
            _signed = &_t201_storage;
            _unsigned = &_t202_storage;
            _float = &_t203_storage;
            _double = &_t204_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(44);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(28);
                  flick_cdr_encode_char8(0, *_char);
                  flick_cdr_encode_signed8(1, *_byte);
                  flick_cdr_encode_unsigned8(2, *_bool);
                  flick_cdr_encode_signed8(3, *_short8);
                  flick_cdr_encode_signed16(4, *_short16);
                  flick_cdr_encode_signed32(8, *_int);
                  flick_cdr_encode_signed32(12, *_long);
                  flick_cdr_encode_signed32(16, *_signed);
                  flick_cdr_encode_signed32(20, *_unsigned);
                  flick_cdr_encode_float32(24, *_float);
                  flick_iiop_encode_end_chunk(28);
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_double);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(44);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            charA _charA;
            byteA _byteA;
            boolA _boolA;
            shortshortA _short8A;
            shortA _short16A;
            intA _intA;
            longA _longA;
            signedA _signedA;
            unsignedA _unsignedA;
            floatA _floatA;
            doubleA _doubleA;
            kern_return_t _return;
            unsigned int _t205_principal_len;
            char *_t206_internal;
            flick_unsigned8_t _t207_array_length;
            flick_unsigned8_t _t208_array_iter;
            byte *_t209_internal;
            flick_unsigned8_t _t210_array_length;
            flick_unsigned8_t _t211_array_iter;
            bool *_t212_internal;
            flick_unsigned8_t _t213_array_length;
            flick_unsigned8_t _t214_array_iter;
            shortshort *_t215_internal;
            flick_unsigned8_t _t216_array_length;
            flick_unsigned8_t _t217_array_iter;
            short *_t218_internal;
            flick_unsigned8_t _t219_array_length;
            flick_unsigned8_t _t220_array_iter;
            int *_t221_internal;
            flick_unsigned8_t _t222_array_length;
            flick_unsigned8_t _t223_array_iter;
            long *_t224_internal;
            flick_unsigned8_t _t225_array_length;
            flick_unsigned8_t _t226_array_iter;
            signed *_t227_internal;
            flick_unsigned8_t _t228_array_length;
            flick_unsigned8_t _t229_array_iter;
            unsigned *_t230_internal;
            flick_unsigned8_t _t231_array_length;
            flick_unsigned8_t _t232_array_iter;
            float *_t233_internal;
            flick_unsigned8_t _t234_array_length;
            flick_unsigned8_t _t235_array_iter;
            double *_t236_internal;
            flick_unsigned8_t _t237_array_length;
            flick_unsigned8_t _t238_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t205_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t205_principal_len);
            flick_iiop_decode_new_chunk(_t205_principal_len);
            flick_iiop_decode_end_chunk(_t205_principal_len);
            flick_iiop_decode_end_glob(_t205_principal_len);
            /* Begin decode phase on parameters */
            _t206_internal = (char *)_charA;
            _t207_array_length = 9;
            flick_iiop_decode_new_glob(369);
            for (_t208_array_iter = 0; _t208_array_iter < _t207_array_length; _t208_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t206_internal[_t208_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t209_internal = (byte *)_byteA;
            _t210_array_length = 9;
            for (_t211_array_iter = 0; _t211_array_iter < _t210_array_length; _t211_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _t209_internal[_t211_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t212_internal = (bool *)_boolA;
            _t213_array_length = 9;
            for (_t214_array_iter = 0; _t214_array_iter < _t213_array_length; _t214_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _t212_internal[_t214_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t215_internal = (shortshort *)_short8A;
            _t216_array_length = 9;
            for (_t217_array_iter = 0; _t217_array_iter < _t216_array_length; _t217_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _t215_internal[_t217_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t218_internal = (short *)_short16A;
            _t219_array_length = 9;
            for (_t220_array_iter = 0; _t220_array_iter < _t219_array_length; _t220_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                flick_cdr_swap_decode_signed16(0, _t218_internal[_t220_array_iter]);
                flick_iiop_decode_end_chunk(2);
              }
            _t221_internal = (int *)_intA;
            _t222_array_length = 9;
            for (_t223_array_iter = 0; _t223_array_iter < _t222_array_length; _t223_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_swap_decode_signed32(0, _t221_internal[_t223_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t224_internal = (long *)_longA;
            _t225_array_length = 9;
            for (_t226_array_iter = 0; _t226_array_iter < _t225_array_length; _t226_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t224_internal[_t226_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t227_internal = (signed *)_signedA;
            _t228_array_length = 9;
            for (_t229_array_iter = 0; _t229_array_iter < _t228_array_length; _t229_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t227_internal[_t229_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t230_internal = (unsigned *)_unsignedA;
            _t231_array_length = 9;
            for (_t232_array_iter = 0; _t232_array_iter < _t231_array_length; _t232_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t230_internal[_t232_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t233_internal = (float *)_floatA;
            _t234_array_length = 9;
            for (_t235_array_iter = 0; _t235_array_iter < _t234_array_length; _t235_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_float32(0, _t233_internal[_t235_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t236_internal = (double *)_doubleA;
            _t237_array_length = 9;
            for (_t238_array_iter = 0; _t238_array_iter < _t237_array_length; _t238_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                flick_cdr_swap_decode_float64(0, _t236_internal[_t238_array_iter]);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_end_glob(369);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            charA _charA;
            byteA _byteA;
            boolA _boolA;
            shortshortA _short8A;
            shortA _short16A;
            intA _intA;
            longA _longA;
            signedA _signedA;
            unsignedA _unsignedA;
            floatA _floatA;
            doubleA _doubleA;
            kern_return_t _return;
            unsigned int _t239_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t239_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t239_principal_len);
            flick_iiop_decode_new_chunk(_t239_principal_len);
            flick_iiop_decode_end_chunk(_t239_principal_len);
            flick_iiop_decode_end_glob(_t239_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(0);
            flick_iiop_decode_end_glob(0);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(316);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  char *_t251_internal;
                  byte *_t252_internal;
                  bool *_t253_internal;
                  shortshort *_t254_internal;
                  short *_t255_internal;
                  int *_t256_internal;
                  long *_t257_internal;
                  signed *_t258_internal;
                  unsigned *_t259_internal;
                  float *_t260_internal;
                  double *_t261_internal;

                  /* Begin encode phase on parameters */
                  _t251_internal = (char *)_charA;
                  flick_iiop_encode_new_chunk(236);
                  flick_cdr_encode_bcopy(0, _t251_internal, 1 * 9);
                  _t252_internal = (byte *)_byteA;
                  flick_cdr_encode_bcopy(9, _t252_internal, 1 * 9);
                  _t253_internal = (bool *)_boolA;
                  flick_cdr_encode_bcopy(18, _t253_internal, 1 * 9);
                  _t254_internal = (shortshort *)_short8A;
                  flick_cdr_encode_bcopy(27, _t254_internal, 1 * 9);
                  _t255_internal = (short *)_short16A;
                  flick_cdr_encode_bcopy(36, _t255_internal, 2 * 9);
                  _t256_internal = (int *)_intA;
                  flick_cdr_encode_bcopy(56, _t256_internal, 4 * 9);
                  _t257_internal = (long *)_longA;
                  flick_cdr_encode_bcopy(92, _t257_internal, 4 * 9);
                  _t258_internal = (signed *)_signedA;
                  flick_cdr_encode_bcopy(128, _t258_internal, 4 * 9);
                  _t259_internal = (unsigned *)_unsignedA;
                  flick_cdr_encode_bcopy(164, _t259_internal, 4 * 9);
                  _t260_internal = (float *)_floatA;
                  flick_cdr_encode_bcopy(200, _t260_internal, 4 * 9);
                  _t261_internal = (double *)_doubleA;
                  flick_iiop_encode_end_chunk(236);
                  flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
                  flick_cdr_encode_bcopy(0, _t261_internal, 8 * 9);
                  flick_iiop_encode_end_chunk(72);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(316);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t60_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t60_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t60_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;
            kern_return_t _return;
            unsigned int _t61_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t61_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t61_principal_len);
            flick_iiop_decode_new_chunk(_t61_principal_len);
            flick_iiop_decode_end_chunk(_t61_principal_len);
            flick_iiop_decode_end_glob(_t61_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(41);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_char8(0, _char);
            flick_cdr_decode_signed8(1, _byte);
            flick_cdr_decode_unsigned8(2, _bool);
            flick_cdr_decode_signed8(3, _short8);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, _short16);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_new_chunk_align(20, 2, 1, 0);
            flick_cdr_decode_signed32(0, _int);
            flick_cdr_decode_signed32(4, _long);
            flick_cdr_decode_signed32(8, _signed);
            flick_cdr_decode_signed32(12, _unsigned);
            flick_cdr_decode_float32(16, _float);
            flick_iiop_decode_end_chunk(20);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _double);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(41);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            char *_char;
            byte *_byte;
            bool *_bool;
            shortshort *_short8;
            short *_short16;
            int *_int;
            long int *_long;
            signed int *_signed;
            unsigned int *_unsigned;
            float *_float;
            double *_double;
            kern_return_t _return;
            unsigned int _t62_principal_len;
            char _t63_storage;
            byte _t64_storage;
            bool _t65_storage;
            shortshort _t66_storage;
            short _t67_storage;
            int _t68_storage;
            long int _t69_storage;
            signed int _t70_storage;
            unsigned int _t71_storage;
            float _t72_storage;
            double _t73_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t62_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t62_principal_len);
            flick_iiop_decode_new_chunk(_t62_principal_len);
            flick_iiop_decode_end_chunk(_t62_principal_len);
            flick_iiop_decode_end_glob(_t62_principal_len);
            /* Begin decode phase on parameters */
            _char = &_t63_storage;
            _byte = &_t64_storage;
            _bool = &_t65_storage;
            _short8 = &_t66_storage;
            _short16 = &_t67_storage;
            _int = &_t68_storage;
            _long = &_t69_storage;
            _signed = &_t70_storage;
            _unsigned = &_t71_storage;
            _float = &_t72_storage;
            _double = &_t73_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(44);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(28);
                  flick_cdr_encode_char8(0, *_char);
                  flick_cdr_encode_signed8(1, *_byte);
                  flick_cdr_encode_unsigned8(2, *_bool);
                  flick_cdr_encode_signed8(3, *_short8);
                  flick_cdr_encode_signed16(4, *_short16);
                  flick_cdr_encode_signed32(8, *_int);
                  flick_cdr_encode_signed32(12, *_long);
                  flick_cdr_encode_signed32(16, *_signed);
                  flick_cdr_encode_signed32(20, *_unsigned);
                  flick_cdr_encode_float32(24, *_float);
                  flick_iiop_encode_end_chunk(28);
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_double);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(44);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            charA _charA;
            byteA _byteA;
            boolA _boolA;
            shortshortA _short8A;
            shortA _short16A;
            intA _intA;
            longA _longA;
            signedA _signedA;
            unsignedA _unsignedA;
            floatA _floatA;
            doubleA _doubleA;
            kern_return_t _return;
            unsigned int _t74_principal_len;
            char *_t75_internal;
            flick_unsigned8_t _t76_array_length;
            byte *_t77_internal;
            flick_unsigned8_t _t78_array_length;
            bool *_t79_internal;
            flick_unsigned8_t _t80_array_length;
            shortshort *_t81_internal;
            flick_unsigned8_t _t82_array_length;
            short *_t83_internal;
            flick_unsigned8_t _t84_array_length;
            int *_t85_internal;
            flick_unsigned8_t _t86_array_length;
            long *_t87_internal;
            flick_unsigned8_t _t88_array_length;
            signed *_t89_internal;
            flick_unsigned8_t _t90_array_length;
            unsigned *_t91_internal;
            flick_unsigned8_t _t92_array_length;
            float *_t93_internal;
            flick_unsigned8_t _t94_array_length;
            double *_t95_internal;
            flick_unsigned8_t _t96_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t74_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t74_principal_len);
            flick_iiop_decode_new_chunk(_t74_principal_len);
            flick_iiop_decode_end_chunk(_t74_principal_len);
            flick_iiop_decode_end_glob(_t74_principal_len);
            /* Begin decode phase on parameters */
            _t75_internal = (char *)_charA;
            _t76_array_length = 9;
            flick_iiop_decode_new_glob(313);
            flick_iiop_decode_new_chunk(36);
            flick_cdr_decode_bcopy(0, _t75_internal, 1 * _t76_array_length);
            _t77_internal = (byte *)_byteA;
            _t78_array_length = 9;
            flick_cdr_decode_bcopy(9, _t77_internal, 1 * _t78_array_length);
            _t79_internal = (bool *)_boolA;
            _t80_array_length = 9;
            flick_cdr_decode_bcopy(18, _t79_internal, 1 * _t80_array_length);
            _t81_internal = (shortshort *)_short8A;
            _t82_array_length = 9;
            flick_cdr_decode_bcopy(27, _t81_internal, 1 * _t82_array_length);
            _t83_internal = (short *)_short16A;
            _t84_array_length = 9;
            flick_iiop_decode_end_chunk(36);
            flick_iiop_decode_new_chunk_align(18, 1, 0, 0);
            flick_cdr_decode_bcopy(0, _t83_internal, 2 * _t84_array_length);
            _t85_internal = (int *)_intA;
            _t86_array_length = 9;
            flick_iiop_decode_end_chunk(18);
            flick_iiop_decode_new_chunk_align(180, 2, 1, 0);
            flick_cdr_decode_bcopy(0, _t85_internal, 4 * _t86_array_length);
            _t87_internal = (long *)_longA;
            _t88_array_length = 9;
            flick_cdr_decode_bcopy(36, _t87_internal, 4 * _t88_array_length);
            _t89_internal = (signed *)_signedA;
            _t90_array_length = 9;
            flick_cdr_decode_bcopy(72, _t89_internal, 4 * _t90_array_length);
            _t91_internal = (unsigned *)_unsignedA;
            _t92_array_length = 9;
            flick_cdr_decode_bcopy(108, _t91_internal, 4 * _t92_array_length);
            _t93_internal = (float *)_floatA;
            _t94_array_length = 9;
            flick_cdr_decode_bcopy(144, _t93_internal, 4 * _t94_array_length);
            _t95_internal = (double *)_doubleA;
            _t96_array_length = 9;
            flick_iiop_decode_end_chunk(180);
            flick_iiop_decode_new_chunk_align(72, 3, 2, 0);
            flick_cdr_decode_bcopy(0, _t95_internal, 8 * _t96_array_length);
            flick_iiop_decode_end_chunk(72);
            flick_iiop_decode_end_glob(313);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            charA _charA;
            byteA _byteA;
            boolA _boolA;
            shortshortA _short8A;
            shortA _short16A;
            intA _intA;
            longA _longA;
            signedA _signedA;
            unsignedA _unsignedA;
            floatA _floatA;
            doubleA _doubleA;
            kern_return_t _return;
            unsigned int _t97_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t97_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t97_principal_len);
            flick_iiop_decode_new_chunk(_t97_principal_len);
            flick_iiop_decode_end_chunk(_t97_principal_len);
            flick_iiop_decode_end_glob(_t97_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(0);
            flick_iiop_decode_end_glob(0);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(316);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  char *_t109_internal;
                  byte *_t110_internal;
                  bool *_t111_internal;
                  shortshort *_t112_internal;
                  short *_t113_internal;
                  int *_t114_internal;
                  long *_t115_internal;
                  signed *_t116_internal;
                  unsigned *_t117_internal;
                  float *_t118_internal;
                  double *_t119_internal;

                  /* Begin encode phase on parameters */
                  _t109_internal = (char *)_charA;
                  flick_iiop_encode_new_chunk(236);
                  flick_cdr_encode_bcopy(0, _t109_internal, 1 * 9);
                  _t110_internal = (byte *)_byteA;
                  flick_cdr_encode_bcopy(9, _t110_internal, 1 * 9);
                  _t111_internal = (bool *)_boolA;
                  flick_cdr_encode_bcopy(18, _t111_internal, 1 * 9);
                  _t112_internal = (shortshort *)_short8A;
                  flick_cdr_encode_bcopy(27, _t112_internal, 1 * 9);
                  _t113_internal = (short *)_short16A;
                  flick_cdr_encode_bcopy(36, _t113_internal, 2 * 9);
                  _t114_internal = (int *)_intA;
                  flick_cdr_encode_bcopy(56, _t114_internal, 4 * 9);
                  _t115_internal = (long *)_longA;
                  flick_cdr_encode_bcopy(92, _t115_internal, 4 * 9);
                  _t116_internal = (signed *)_signedA;
                  flick_cdr_encode_bcopy(128, _t116_internal, 4 * 9);
                  _t117_internal = (unsigned *)_unsignedA;
                  flick_cdr_encode_bcopy(164, _t117_internal, 4 * 9);
                  _t118_internal = (float *)_floatA;
                  flick_cdr_encode_bcopy(200, _t118_internal, 4 * 9);
                  _t119_internal = (double *)_doubleA;
                  flick_iiop_encode_end_chunk(236);
                  flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
                  flick_cdr_encode_bcopy(0, _t119_internal, 8 * 9);
                  flick_iiop_encode_end_chunk(72);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(316);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
