#include "simple2-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple_swap(flick_marshal_stream_t _stream, simple *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long simple_op(simple _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_cdr_encode_signed32(16, *c);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple2_swap(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long simple2_op2(simple2 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '2');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_cdr_encode_IOR(iiop, b, 0);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long simple2_op(simple2 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_cdr_encode_signed32(16, *c);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->msg, null_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_OVERFLOW_swap(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->b);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->msg, null_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_UNDERFLOW_swap(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->c._length);
  flick_cdr_encode_unsigned32(0, _data->c._length);
  flick_cdr_encode_bcopy(4, _data->c._buffer, 4 * _data->c._length);
  flick_iiop_encode_end_chunk(4 + 4 * _data->c._length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->c._length);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_iiop_decode_end_chunk(4 * _data->c._length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM_swap(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length);
  flick_iiop_decode_end_chunk(4);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->c._length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_cdr_encode_longstring(_data->reason, null_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_cdr_decode_longstring(_data->reason, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_USERERROR_swap(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_cdr_swap_decode_longstring(_data->reason, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3(flick_marshal_stream_t _stream, const simple3 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple3_swap(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long simple3_op3(simple3 _obj, CORBA_long a, simple3 *b, simple2 *c, simple *d, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '3');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(52);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(52);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_cdr_swap_decode_IOR(iiop, *c, 1);
            flick_cdr_swap_decode_IOR(iiop, *d, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(52);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (simple3_OVERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_OVERFLOW ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(52);
                  flick_cdr_swap_decode_longstring(((simple3_OVERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, iiop);
                  break;
                }
              case 1:
                {
                  (simple3_UNDERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(52);
                  flick_cdr_swap_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, iiop);
                  break;
                }
              case 2:
                {
                  unsigned long int _t5_array_iter;

                  (simple3_BADNUM *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_BADNUM ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length);
                  flick_iiop_decode_end_chunk(4);
                  ((simple3_BADNUM *)(_ev->_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_except))->c._length * sizeof(CORBA_long ));
                  for (_t5_array_iter = 0; _t5_array_iter < ((simple3_BADNUM *)(_ev->_except))->c._length; _t5_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, ((simple3_BADNUM *)(_ev->_except))->c._buffer[_t5_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
                  flick_iiop_decode_end_glob(52);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(52);
                  break;
                }
              }
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(52);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(52);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_cdr_decode_IOR(iiop, *c, 1);
            flick_cdr_decode_IOR(iiop, *d, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(52);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (simple3_OVERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_OVERFLOW ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(52);
                  flick_cdr_decode_longstring(((simple3_OVERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, iiop);
                  break;
                }
              case 1:
                {
                  (simple3_UNDERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(52);
                  flick_cdr_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, iiop);
                  break;
                }
              case 2:
                {
                  (simple3_BADNUM *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_BADNUM ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_new_chunk(4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                  ((simple3_BADNUM *)(_ev->_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_except))->c._length * sizeof(CORBA_long ));
                  flick_cdr_decode_bcopy(0, ((simple3_BADNUM *)(_ev->_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                  flick_iiop_decode_end_chunk(4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                  flick_iiop_decode_end_glob(52);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(52);
                  break;
                }
              }
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char *simple3_op4(simple3 _obj, CORBA_char *x, CORBA_char **y, CORBA_char **z, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '4');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_cdr_encode_longstring(x, null_flick_free, iiop);
    flick_cdr_encode_longstring(*y, CORBA_flick_free, iiop);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(12);
            flick_cdr_swap_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*y, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*z, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (simple3_UNDERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_cdr_swap_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(12);
                  break;
                }
              }
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(12);
            flick_cdr_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*y, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*z, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (simple3_UNDERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_cdr_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(12);
                  break;
                }
              }
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void simple3_op5(simple3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '5');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (simple3_USERERROR *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_USERERROR ));
                  flick_iiop_decode_end_glob(8);
                  flick_cdr_swap_decode_longstring(((simple3_USERERROR *)(_ev->_except))->reason, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(8);
                  break;
                }
              }
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (simple3_USERERROR *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_USERERROR ));
                  flick_iiop_decode_end_glob(8);
                  flick_cdr_decode_longstring(((simple3_USERERROR *)(_ev->_except))->reason, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(8);
                  break;
                }
              }
          }
        }
    }
  }
  flick_iiop_client_end_decode();
}

CORBA_long simple3_op2(simple3 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '2');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_cdr_encode_IOR(iiop, b, 0);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long simple3_op(simple3 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_cdr_encode_signed32(16, *c);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

