#include "test1-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort_swap(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong_swap(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->case_num);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->case_num);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1_swap(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->case_num);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_cdr_encode_longstring(_data->name, CORBA_flick_free, iiop);
  flick_iiop_encode_new_glob(7);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->value);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_cdr_decode_longstring(_data->name, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->value);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
}

void flick_unmarshal_stub_test1_x2_swap(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_cdr_swap_decode_longstring(_data->name, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->value);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test1_swap(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t240_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t240_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t240_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t241_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t241_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t241_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t242_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t242_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t242_switch_tag)
                  {
                  case /* _voi */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601597289):
                    {
                      unsigned short int _t243_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t243_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t243_switch_tag)
                        {
                        case /* d */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25600):
                          {
                            {
                              test1 _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t244_principal_len;
                              CORBA_Environment _t245_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t244_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t244_principal_len);
                              flick_iiop_decode_new_chunk(_t244_principal_len);
                              flick_iiop_decode_end_chunk(_t244_principal_len);
                              flick_iiop_decode_end_glob(_t244_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t245_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              test1_test_void(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned short int _t246_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t246_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t246_switch_tag)
                        {
                        case /* g */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 26368):
                          {
                            {
                              test1 _obj;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t247_principal_len;
                              CORBA_long _t248_storage;
                              CORBA_long _t249_storage;
                              CORBA_Environment _t250_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t247_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t247_principal_len);
                              flick_iiop_decode_new_chunk(_t247_principal_len);
                              flick_iiop_decode_end_chunk(_t247_principal_len);
                              flick_iiop_decode_end_glob(_t247_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_a1);
                              _local_a2 = &_t248_storage;
                              _local_a3 = &_t249_storage;
                              flick_cdr_swap_decode_signed32(4, *_local_a3);
                              _ev = &_t250_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(11);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_cdr_encode_signed32(4, *_local_a2);
                                    flick_cdr_encode_signed32(8, *_local_a3);
                                    flick_iiop_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(16);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cha */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned short int _t251_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t251_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t251_switch_tag)
                        {
                        case /* r */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29184):
                          {
                            {
                              test1 _obj;
                              CORBA_char _local_a1;
                              CORBA_char *_local_a2;
                              CORBA_char *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_char _return = 0;
                              unsigned int _t252_principal_len;
                              CORBA_char _t253_storage;
                              CORBA_char _t254_storage;
                              CORBA_Environment _t255_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t252_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t252_principal_len);
                              flick_iiop_decode_new_chunk(_t252_principal_len);
                              flick_iiop_decode_end_chunk(_t252_principal_len);
                              flick_iiop_decode_end_glob(_t252_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(2);
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_swap_decode_char8(0, _local_a1);
                              _local_a2 = &_t253_storage;
                              _local_a3 = &_t254_storage;
                              flick_cdr_swap_decode_char8(1, *_local_a3);
                              _ev = &_t255_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(2);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(3);
                                    flick_cdr_encode_char8(0, _return);
                                    flick_cdr_encode_char8(1, *_local_a2);
                                    flick_cdr_encode_char8(2, *_local_a3);
                                    flick_iiop_encode_end_chunk(3);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(7);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t256_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t256_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t256_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t257_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t257_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t257_switch_tag)
                  {
                  case /* _sho */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned short int _t258_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t258_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t258_switch_tag)
                        {
                        case /* rt */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29300):
                          {
                            char _t259_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t259_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t259_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_short _local_a1;
                                    CORBA_short *_local_a2;
                                    CORBA_short *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    unsigned int _t260_principal_len;
                                    CORBA_short _t261_storage;
                                    CORBA_short _t262_storage;
                                    CORBA_Environment _t263_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t260_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t260_principal_len);
                                    flick_iiop_decode_new_chunk(_t260_principal_len);
                                    flick_iiop_decode_end_chunk(_t260_principal_len);
                                    flick_iiop_decode_end_glob(_t260_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(5);
                                    flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                                    flick_cdr_swap_decode_signed16(0, _local_a1);
                                    _local_a2 = &_t261_storage;
                                    _local_a3 = &_t262_storage;
                                    flick_cdr_swap_decode_signed16(2, *_local_a3);
                                    _ev = &_t263_storage;
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(5);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed16(0, _return);
                                          flick_cdr_encode_signed16(2, *_local_a2);
                                          flick_cdr_encode_signed16(4, *_local_a3);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _ulo */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601530991):
                    {
                      unsigned short int _t264_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t264_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t264_switch_tag)
                        {
                        case /* ng */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t265_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t265_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t265_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    test1_ulong _local_a1;
                                    test1_ulong *_local_a2;
                                    test1_ulong *_local_a3;
                                    CORBA_Environment *_ev;
                                    test1_ulong _return;
                                    unsigned int _t266_principal_len;
                                    test1_ulong _t267_storage;
                                    test1_ulong _t268_storage;
                                    CORBA_Environment _t269_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t266_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t266_principal_len);
                                    flick_iiop_decode_new_chunk(_t266_principal_len);
                                    flick_iiop_decode_end_chunk(_t266_principal_len);
                                    flick_iiop_decode_end_glob(_t266_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(11);
                                    flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a1);
                                    _local_a2 = &_t267_storage;
                                    _local_a3 = &_t268_storage;
                                    flick_cdr_swap_decode_unsigned32(4, *_local_a3);
                                    _ev = &_t269_storage;
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, _return);
                                          flick_cdr_encode_unsigned32(4, *_local_a2);
                                          flick_cdr_encode_unsigned32(8, *_local_a3);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned short int _t270_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t270_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t270_switch_tag)
                        {
                        case /* at */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 24948):
                          {
                            char _t271_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t271_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t271_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_float _local_a1;
                                    CORBA_float *_local_a2;
                                    CORBA_float *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    unsigned int _t272_principal_len;
                                    CORBA_float _t273_storage;
                                    CORBA_float _t274_storage;
                                    CORBA_Environment _t275_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t272_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t272_principal_len);
                                    flick_iiop_decode_new_chunk(_t272_principal_len);
                                    flick_iiop_decode_end_chunk(_t272_principal_len);
                                    flick_iiop_decode_end_glob(_t272_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(11);
                                    flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_cdr_swap_decode_float32(0, _local_a1);
                                    _local_a2 = &_t273_storage;
                                    _local_a3 = &_t274_storage;
                                    flick_cdr_swap_decode_float32(4, *_local_a3);
                                    _ev = &_t275_storage;
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_float32(0, _return);
                                          flick_cdr_encode_float32(4, *_local_a2);
                                          flick_cdr_encode_float32(8, *_local_a3);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _oct */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned short int _t276_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t276_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t276_switch_tag)
                        {
                        case /* et */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25972):
                          {
                            char _t277_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t277_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t277_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_octet _local_a1;
                                    CORBA_octet *_local_a2;
                                    CORBA_octet *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    unsigned int _t278_principal_len;
                                    CORBA_octet _t279_storage;
                                    CORBA_octet _t280_storage;
                                    CORBA_Environment _t281_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t278_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t278_principal_len);
                                    flick_iiop_decode_new_chunk(_t278_principal_len);
                                    flick_iiop_decode_end_chunk(_t278_principal_len);
                                    flick_iiop_decode_end_glob(_t278_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(2);
                                    flick_iiop_decode_new_chunk(2);
                                    flick_cdr_swap_decode_unsigned8(0, _local_a1);
                                    _local_a2 = &_t279_storage;
                                    _local_a3 = &_t280_storage;
                                    flick_cdr_swap_decode_unsigned8(1, *_local_a3);
                                    _ev = &_t281_storage;
                                    flick_iiop_decode_end_chunk(2);
                                    flick_iiop_decode_end_glob(2);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, _return);
                                          flick_cdr_encode_unsigned8(1, *_local_a2);
                                          flick_cdr_encode_unsigned8(2, *_local_a3);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _thr */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601464434):
                    {
                      unsigned short int _t282_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t282_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t282_switch_tag)
                        {
                        case /* ow */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28535):
                          {
                            char _t283_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t283_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t283_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_long _local_case_num;
                                    CORBA_Environment *_ev;
                                    unsigned int _t284_principal_len;
                                    CORBA_Environment _t285_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t284_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t284_principal_len);
                                    flick_iiop_decode_new_chunk(_t284_principal_len);
                                    flick_iiop_decode_end_chunk(_t284_principal_len);
                                    flick_iiop_decode_end_glob(_t284_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_case_num);
                                    _ev = &_t285_storage;
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    test1_test_throw(_obj, _local_case_num, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(12);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_atomic_user_id)
                                            {
                                            case 0:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                                                CORBA_flick_free((test1_x1 *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(12);
                                                break;
                                              }
                                            case 1:
                                              {
                                                flick_iiop_encode_end_glob(12);
                                                flick_cdr_encode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_free, iiop);
                                                flick_iiop_encode_new_glob(7);
                                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_encode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                                                CORBA_flick_free((test1_x2 *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(7);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(12);
                                                break;
                                              }
                                            }
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t286_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t286_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t286_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t287_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t287_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t287_switch_tag)
                  {
                  case /* _ush */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601532776):
                    {
                      unsigned int _t288_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t288_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t288_switch_tag)
                        {
                        case /* ort */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869771776):
                          {
                            {
                              test1 _obj;
                              test1_ushort _local_a1;
                              test1_ushort *_local_a2;
                              test1_ushort *_local_a3;
                              CORBA_Environment *_ev;
                              test1_ushort _return;
                              unsigned int _t289_principal_len;
                              test1_ushort _t290_storage;
                              test1_ushort _t291_storage;
                              CORBA_Environment _t292_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t289_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t289_principal_len);
                              flick_iiop_decode_new_chunk(_t289_principal_len);
                              flick_iiop_decode_end_chunk(_t289_principal_len);
                              flick_iiop_decode_end_glob(_t289_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_unsigned16(0, _local_a1);
                              _local_a2 = &_t290_storage;
                              _local_a3 = &_t291_storage;
                              flick_cdr_swap_decode_unsigned16(2, *_local_a3);
                              _ev = &_t292_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_a2);
                                    flick_cdr_encode_unsigned16(4, *_local_a3);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t293_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t293_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t293_switch_tag)
                        {
                        case /* ble */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1651270912):
                          {
                            {
                              test1 _obj;
                              CORBA_double _local_a1;
                              CORBA_double *_local_a2;
                              CORBA_double *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_double _return = 0.000000;
                              unsigned int _t294_principal_len;
                              CORBA_double _t295_storage;
                              CORBA_double _t296_storage;
                              CORBA_Environment _t297_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t294_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t294_principal_len);
                              flick_iiop_decode_new_chunk(_t294_principal_len);
                              flick_iiop_decode_end_chunk(_t294_principal_len);
                              flick_iiop_decode_end_glob(_t294_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_a1);
                              _local_a2 = &_t295_storage;
                              _local_a3 = &_t296_storage;
                              flick_cdr_swap_decode_float64(8, *_local_a3);
                              _ev = &_t297_storage;
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(32);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return);
                                    flick_cdr_encode_float64(8, *_local_a2);
                                    flick_cdr_encode_float64(16, *_local_a3);
                                    flick_iiop_encode_end_chunk(24);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(32);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _str */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t298_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t298_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t298_switch_tag)
                        {
                        case /* ing */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test1 _obj;
                              CORBA_char *_local_a1;
                              CORBA_char **_local_a2;
                              CORBA_char **_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t299_principal_len;
                              CORBA_char *_t300_storage;
                              CORBA_char *_t301_storage;
                              CORBA_Environment _t302_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t299_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t299_principal_len);
                              flick_iiop_decode_new_chunk(_t299_principal_len);
                              flick_iiop_decode_end_chunk(_t299_principal_len);
                              flick_iiop_decode_end_glob(_t299_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_auto_string(_local_a1, auto_flick_alloc, iiop);
                              _local_a2 = &_t300_storage;
                              _local_a3 = &_t301_storage;
                              flick_cdr_swap_decode_longstring(*_local_a3, CORBA_flick_alloc, iiop);
                              _ev = &_t302_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_a2, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_a3, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _Obj */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1599038058):
                    {
                      unsigned int _t303_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t303_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t303_switch_tag)
                        {
                        case /* ect */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1701016576):
                          {
                            {
                              test1 _obj;
                              CORBA_Object _local_a1;
                              CORBA_Object *_local_a2;
                              CORBA_Object *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_Object _return;
                              unsigned int _t304_principal_len;
                              CORBA_Object _t305_storage;
                              CORBA_Object _t306_storage;
                              CORBA_Environment _t307_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t304_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t304_principal_len);
                              flick_iiop_decode_new_chunk(_t304_principal_len);
                              flick_iiop_decode_end_chunk(_t304_principal_len);
                              flick_iiop_decode_end_glob(_t304_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_IOR(iiop, _local_a1, 1);
                              flick_iiop_mark_port_for_cleanup(_local_a1, 1);
                              _local_a2 = &_t305_storage;
                              _local_a3 = &_t306_storage;
                              flick_cdr_swap_decode_IOR(iiop, *_local_a3, 1);
                              flick_iiop_mark_port_for_cleanup(*_local_a3, 1);
                              _ev = &_t307_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_Object(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    flick_cdr_encode_IOR(iiop, *_local_a2, 0);
                                    flick_cdr_encode_IOR(iiop, *_local_a3, 0);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* plea */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1886152033):
              {
                unsigned int _t308_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t308_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t308_switch_tag)
                  {
                  case /* se_e */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1936023397):
                    {
                      unsigned int _t309_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t309_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t309_switch_tag)
                        {
                        case /* xit */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 2020176896):
                          {
                            {
                              test1 _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t310_principal_len;
                              CORBA_Environment _t311_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t310_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t310_principal_len);
                              flick_iiop_decode_new_chunk(_t310_principal_len);
                              flick_iiop_decode_end_chunk(_t310_principal_len);
                              flick_iiop_decode_end_glob(_t310_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t311_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              test1_please_exit(_obj, _ev);
                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t312_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t312_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t312_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t313_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t313_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t313_switch_tag)
                  {
                  case /* _boo */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t314_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t314_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t314_switch_tag)
                        {
                        case /* lean */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1818583406):
                          {
                            char _t315_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t315_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t315_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_boolean _local_a1;
                                    CORBA_boolean *_local_a2;
                                    CORBA_boolean *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    unsigned int _t316_principal_len;
                                    CORBA_boolean _t317_storage;
                                    CORBA_boolean _t318_storage;
                                    CORBA_Environment _t319_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t316_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t316_principal_len);
                                    flick_iiop_decode_new_chunk(_t316_principal_len);
                                    flick_iiop_decode_end_chunk(_t316_principal_len);
                                    flick_iiop_decode_end_glob(_t316_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(2);
                                    flick_iiop_decode_new_chunk(2);
                                    flick_cdr_swap_decode_unsigned8(0, _local_a1);
                                    _local_a2 = &_t317_storage;
                                    _local_a3 = &_t318_storage;
                                    flick_cdr_swap_decode_unsigned8(1, *_local_a3);
                                    _ev = &_t319_storage;
                                    flick_iiop_decode_end_chunk(2);
                                    flick_iiop_decode_end_glob(2);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, _return);
                                          flick_cdr_encode_unsigned8(1, *_local_a2);
                                          flick_cdr_encode_unsigned8(2, *_local_a3);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t80_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t80_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t80_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t81_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t81_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t81_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t82_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t82_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t82_switch_tag)
                  {
                  case /* _voi */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601597289):
                    {
                      unsigned short int _t83_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t83_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t83_switch_tag)
                        {
                        case /* d */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25600):
                          {
                            {
                              test1 _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t84_principal_len;
                              CORBA_Environment _t85_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t84_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t84_principal_len);
                              flick_iiop_decode_new_chunk(_t84_principal_len);
                              flick_iiop_decode_end_chunk(_t84_principal_len);
                              flick_iiop_decode_end_glob(_t84_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t85_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              test1_test_void(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned short int _t86_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t86_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t86_switch_tag)
                        {
                        case /* g */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 26368):
                          {
                            {
                              test1 _obj;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t87_principal_len;
                              CORBA_long _t88_storage;
                              CORBA_long _t89_storage;
                              CORBA_Environment _t90_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t87_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t87_principal_len);
                              flick_iiop_decode_new_chunk(_t87_principal_len);
                              flick_iiop_decode_end_chunk(_t87_principal_len);
                              flick_iiop_decode_end_glob(_t87_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_a1);
                              _local_a2 = &_t88_storage;
                              _local_a3 = &_t89_storage;
                              flick_cdr_decode_signed32(4, *_local_a3);
                              _ev = &_t90_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(11);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_cdr_encode_signed32(4, *_local_a2);
                                    flick_cdr_encode_signed32(8, *_local_a3);
                                    flick_iiop_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(16);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cha */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned short int _t91_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t91_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t91_switch_tag)
                        {
                        case /* r */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29184):
                          {
                            {
                              test1 _obj;
                              CORBA_char _local_a1;
                              CORBA_char *_local_a2;
                              CORBA_char *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_char _return = 0;
                              unsigned int _t92_principal_len;
                              CORBA_char _t93_storage;
                              CORBA_char _t94_storage;
                              CORBA_Environment _t95_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t92_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t92_principal_len);
                              flick_iiop_decode_new_chunk(_t92_principal_len);
                              flick_iiop_decode_end_chunk(_t92_principal_len);
                              flick_iiop_decode_end_glob(_t92_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(2);
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_decode_char8(0, _local_a1);
                              _local_a2 = &_t93_storage;
                              _local_a3 = &_t94_storage;
                              flick_cdr_decode_char8(1, *_local_a3);
                              _ev = &_t95_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(2);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(3);
                                    flick_cdr_encode_char8(0, _return);
                                    flick_cdr_encode_char8(1, *_local_a2);
                                    flick_cdr_encode_char8(2, *_local_a3);
                                    flick_iiop_encode_end_chunk(3);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(7);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t96_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t96_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t96_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t97_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t97_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t97_switch_tag)
                  {
                  case /* _sho */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned short int _t98_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t98_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t98_switch_tag)
                        {
                        case /* rt */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29300):
                          {
                            char _t99_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t99_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t99_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_short _local_a1;
                                    CORBA_short *_local_a2;
                                    CORBA_short *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    unsigned int _t100_principal_len;
                                    CORBA_short _t101_storage;
                                    CORBA_short _t102_storage;
                                    CORBA_Environment _t103_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t100_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t100_principal_len);
                                    flick_iiop_decode_new_chunk(_t100_principal_len);
                                    flick_iiop_decode_end_chunk(_t100_principal_len);
                                    flick_iiop_decode_end_glob(_t100_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(5);
                                    flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                                    flick_cdr_decode_signed16(0, _local_a1);
                                    _local_a2 = &_t101_storage;
                                    _local_a3 = &_t102_storage;
                                    flick_cdr_decode_signed16(2, *_local_a3);
                                    _ev = &_t103_storage;
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(5);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed16(0, _return);
                                          flick_cdr_encode_signed16(2, *_local_a2);
                                          flick_cdr_encode_signed16(4, *_local_a3);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _ulo */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601530991):
                    {
                      unsigned short int _t104_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t104_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t104_switch_tag)
                        {
                        case /* ng */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t105_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t105_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t105_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    test1_ulong _local_a1;
                                    test1_ulong *_local_a2;
                                    test1_ulong *_local_a3;
                                    CORBA_Environment *_ev;
                                    test1_ulong _return;
                                    unsigned int _t106_principal_len;
                                    test1_ulong _t107_storage;
                                    test1_ulong _t108_storage;
                                    CORBA_Environment _t109_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t106_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t106_principal_len);
                                    flick_iiop_decode_new_chunk(_t106_principal_len);
                                    flick_iiop_decode_end_chunk(_t106_principal_len);
                                    flick_iiop_decode_end_glob(_t106_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(11);
                                    flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_cdr_decode_unsigned32(0, _local_a1);
                                    _local_a2 = &_t107_storage;
                                    _local_a3 = &_t108_storage;
                                    flick_cdr_decode_unsigned32(4, *_local_a3);
                                    _ev = &_t109_storage;
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, _return);
                                          flick_cdr_encode_unsigned32(4, *_local_a2);
                                          flick_cdr_encode_unsigned32(8, *_local_a3);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned short int _t110_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t110_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t110_switch_tag)
                        {
                        case /* at */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 24948):
                          {
                            char _t111_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t111_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t111_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_float _local_a1;
                                    CORBA_float *_local_a2;
                                    CORBA_float *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    unsigned int _t112_principal_len;
                                    CORBA_float _t113_storage;
                                    CORBA_float _t114_storage;
                                    CORBA_Environment _t115_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t112_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t112_principal_len);
                                    flick_iiop_decode_new_chunk(_t112_principal_len);
                                    flick_iiop_decode_end_chunk(_t112_principal_len);
                                    flick_iiop_decode_end_glob(_t112_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(11);
                                    flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_cdr_decode_float32(0, _local_a1);
                                    _local_a2 = &_t113_storage;
                                    _local_a3 = &_t114_storage;
                                    flick_cdr_decode_float32(4, *_local_a3);
                                    _ev = &_t115_storage;
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_float32(0, _return);
                                          flick_cdr_encode_float32(4, *_local_a2);
                                          flick_cdr_encode_float32(8, *_local_a3);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _oct */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned short int _t116_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t116_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t116_switch_tag)
                        {
                        case /* et */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25972):
                          {
                            char _t117_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t117_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t117_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_octet _local_a1;
                                    CORBA_octet *_local_a2;
                                    CORBA_octet *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    unsigned int _t118_principal_len;
                                    CORBA_octet _t119_storage;
                                    CORBA_octet _t120_storage;
                                    CORBA_Environment _t121_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t118_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t118_principal_len);
                                    flick_iiop_decode_new_chunk(_t118_principal_len);
                                    flick_iiop_decode_end_chunk(_t118_principal_len);
                                    flick_iiop_decode_end_glob(_t118_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(2);
                                    flick_iiop_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned8(0, _local_a1);
                                    _local_a2 = &_t119_storage;
                                    _local_a3 = &_t120_storage;
                                    flick_cdr_decode_unsigned8(1, *_local_a3);
                                    _ev = &_t121_storage;
                                    flick_iiop_decode_end_chunk(2);
                                    flick_iiop_decode_end_glob(2);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, _return);
                                          flick_cdr_encode_unsigned8(1, *_local_a2);
                                          flick_cdr_encode_unsigned8(2, *_local_a3);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _thr */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601464434):
                    {
                      unsigned short int _t122_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t122_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t122_switch_tag)
                        {
                        case /* ow */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28535):
                          {
                            char _t123_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t123_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t123_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_long _local_case_num;
                                    CORBA_Environment *_ev;
                                    unsigned int _t124_principal_len;
                                    CORBA_Environment _t125_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t124_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t124_principal_len);
                                    flick_iiop_decode_new_chunk(_t124_principal_len);
                                    flick_iiop_decode_end_chunk(_t124_principal_len);
                                    flick_iiop_decode_end_glob(_t124_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_case_num);
                                    _ev = &_t125_storage;
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    test1_test_throw(_obj, _local_case_num, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(12);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_atomic_user_id)
                                            {
                                            case 0:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                                                CORBA_flick_free((test1_x1 *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(12);
                                                break;
                                              }
                                            case 1:
                                              {
                                                flick_iiop_encode_end_glob(12);
                                                flick_cdr_encode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_free, iiop);
                                                flick_iiop_encode_new_glob(7);
                                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_encode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                                                CORBA_flick_free((test1_x2 *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(7);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(12);
                                                break;
                                              }
                                            }
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t126_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t126_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t126_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t127_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t127_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t127_switch_tag)
                  {
                  case /* _ush */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601532776):
                    {
                      unsigned int _t128_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t128_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t128_switch_tag)
                        {
                        case /* ort */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869771776):
                          {
                            {
                              test1 _obj;
                              test1_ushort _local_a1;
                              test1_ushort *_local_a2;
                              test1_ushort *_local_a3;
                              CORBA_Environment *_ev;
                              test1_ushort _return;
                              unsigned int _t129_principal_len;
                              test1_ushort _t130_storage;
                              test1_ushort _t131_storage;
                              CORBA_Environment _t132_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t129_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t129_principal_len);
                              flick_iiop_decode_new_chunk(_t129_principal_len);
                              flick_iiop_decode_end_chunk(_t129_principal_len);
                              flick_iiop_decode_end_glob(_t129_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_unsigned16(0, _local_a1);
                              _local_a2 = &_t130_storage;
                              _local_a3 = &_t131_storage;
                              flick_cdr_decode_unsigned16(2, *_local_a3);
                              _ev = &_t132_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_a2);
                                    flick_cdr_encode_unsigned16(4, *_local_a3);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t133_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t133_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t133_switch_tag)
                        {
                        case /* ble */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1651270912):
                          {
                            {
                              test1 _obj;
                              CORBA_double _local_a1;
                              CORBA_double *_local_a2;
                              CORBA_double *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_double _return = 0.000000;
                              unsigned int _t134_principal_len;
                              CORBA_double _t135_storage;
                              CORBA_double _t136_storage;
                              CORBA_Environment _t137_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t134_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t134_principal_len);
                              flick_iiop_decode_new_chunk(_t134_principal_len);
                              flick_iiop_decode_end_chunk(_t134_principal_len);
                              flick_iiop_decode_end_glob(_t134_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_a1);
                              _local_a2 = &_t135_storage;
                              _local_a3 = &_t136_storage;
                              flick_cdr_decode_float64(8, *_local_a3);
                              _ev = &_t137_storage;
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(32);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return);
                                    flick_cdr_encode_float64(8, *_local_a2);
                                    flick_cdr_encode_float64(16, *_local_a3);
                                    flick_iiop_encode_end_chunk(24);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(32);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _str */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t138_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t138_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t138_switch_tag)
                        {
                        case /* ing */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test1 _obj;
                              CORBA_char *_local_a1;
                              CORBA_char **_local_a2;
                              CORBA_char **_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t139_principal_len;
                              CORBA_char *_t140_storage;
                              CORBA_char *_t141_storage;
                              CORBA_Environment _t142_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t139_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t139_principal_len);
                              flick_iiop_decode_new_chunk(_t139_principal_len);
                              flick_iiop_decode_end_chunk(_t139_principal_len);
                              flick_iiop_decode_end_glob(_t139_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_auto_string(_local_a1, auto_flick_alloc, iiop);
                              _local_a2 = &_t140_storage;
                              _local_a3 = &_t141_storage;
                              flick_cdr_decode_longstring(*_local_a3, CORBA_flick_alloc, iiop);
                              _ev = &_t142_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_a2, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_a3, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _Obj */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1599038058):
                    {
                      unsigned int _t143_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t143_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t143_switch_tag)
                        {
                        case /* ect */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1701016576):
                          {
                            {
                              test1 _obj;
                              CORBA_Object _local_a1;
                              CORBA_Object *_local_a2;
                              CORBA_Object *_local_a3;
                              CORBA_Environment *_ev;
                              CORBA_Object _return;
                              unsigned int _t144_principal_len;
                              CORBA_Object _t145_storage;
                              CORBA_Object _t146_storage;
                              CORBA_Environment _t147_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t144_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t144_principal_len);
                              flick_iiop_decode_new_chunk(_t144_principal_len);
                              flick_iiop_decode_end_chunk(_t144_principal_len);
                              flick_iiop_decode_end_glob(_t144_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_IOR(iiop, _local_a1, 1);
                              flick_iiop_mark_port_for_cleanup(_local_a1, 1);
                              _local_a2 = &_t145_storage;
                              _local_a3 = &_t146_storage;
                              flick_cdr_decode_IOR(iiop, *_local_a3, 1);
                              flick_iiop_mark_port_for_cleanup(*_local_a3, 1);
                              _ev = &_t147_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test1_test_Object(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    flick_cdr_encode_IOR(iiop, *_local_a2, 0);
                                    flick_cdr_encode_IOR(iiop, *_local_a3, 0);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* plea */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1886152033):
              {
                unsigned int _t148_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t148_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t148_switch_tag)
                  {
                  case /* se_e */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1936023397):
                    {
                      unsigned int _t149_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t149_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t149_switch_tag)
                        {
                        case /* xit */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 2020176896):
                          {
                            {
                              test1 _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t150_principal_len;
                              CORBA_Environment _t151_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t150_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t150_principal_len);
                              flick_iiop_decode_new_chunk(_t150_principal_len);
                              flick_iiop_decode_end_chunk(_t150_principal_len);
                              flick_iiop_decode_end_glob(_t150_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t151_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              test1_please_exit(_obj, _ev);
                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t152_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t152_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t152_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t153_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t153_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t153_switch_tag)
                  {
                  case /* _boo */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t154_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t154_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t154_switch_tag)
                        {
                        case /* lean */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1818583406):
                          {
                            char _t155_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t155_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t155_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    CORBA_boolean _local_a1;
                                    CORBA_boolean *_local_a2;
                                    CORBA_boolean *_local_a3;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    unsigned int _t156_principal_len;
                                    CORBA_boolean _t157_storage;
                                    CORBA_boolean _t158_storage;
                                    CORBA_Environment _t159_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t156_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t156_principal_len);
                                    flick_iiop_decode_new_chunk(_t156_principal_len);
                                    flick_iiop_decode_end_chunk(_t156_principal_len);
                                    flick_iiop_decode_end_glob(_t156_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(2);
                                    flick_iiop_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned8(0, _local_a1);
                                    _local_a2 = &_t157_storage;
                                    _local_a3 = &_t158_storage;
                                    flick_cdr_decode_unsigned8(1, *_local_a3);
                                    _ev = &_t159_storage;
                                    flick_iiop_decode_end_chunk(2);
                                    flick_iiop_decode_end_glob(2);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, _return);
                                          flick_cdr_encode_unsigned8(1, *_local_a2);
                                          flick_cdr_encode_unsigned8(2, *_local_a3);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
