#include "union-5-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->slot_1);
  flick_cdr_encode_signed32(4, _data->slot_2);
  flick_cdr_encode_signed32(8, _data->slot_3);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->slot_1);
  flick_cdr_decode_signed32(4, _data->slot_2);
  flick_cdr_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->slot_1);
  flick_cdr_swap_decode_signed32(4, _data->slot_2);
  flick_cdr_swap_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(408);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator);
  flick_iiop_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_cdr_encode_unsigned32(0, _data->foo_u.one.one_len);
        flick_cdr_encode_bcopy(4, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_iiop_encode_end_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_iiop_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_encode_end_glob(408);
        flick_cdr_encode_longstring(_data->foo_u.two, null_flick_free, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_encode_new_chunk(12);
        flick_cdr_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_encode_end_chunk(12);
        flick_iiop_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->foo_u.one.one_len);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_new_chunk(4 * _data->foo_u.one.one_len);
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        flick_cdr_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_iiop_decode_end_chunk(4 * _data->foo_u.one.one_len);
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t1_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->foo_u.one.one_len);
        flick_iiop_decode_end_chunk(4);
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        for (_t1_array_iter = 0; _t1_array_iter < _data->foo_u.one.one_len; _t1_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->foo_u.one.one_val[_t1_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_swap_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_swap_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_swap_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t13_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t13_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t13_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            unsigned int _t14_principal_len;
            struct foo _t15_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t14_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t14_principal_len);
            flick_iiop_decode_new_chunk(_t14_principal_len);
            flick_iiop_decode_end_chunk(_t14_principal_len);
            flick_iiop_decode_end_glob(_t14_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t15_storage;
            flick_iiop_decode_new_glob(411);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_arg->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  unsigned long int _t17_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _local_arg->foo_u.one.one_len);
                  flick_iiop_decode_end_chunk(4);
                  _local_arg->foo_u.one.one_val = auto_flick_alloc(_local_arg->foo_u.one.one_len * sizeof(int ));
                  for (_t17_array_iter = 0; _t17_array_iter < _local_arg->foo_u.one.one_len; _t17_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.one.one_val[_t17_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
                  flick_iiop_decode_end_glob(411);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(411);
                  flick_cdr_swap_decode_auto_string(_local_arg->foo_u.two, auto_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.three.slot_1);
                  flick_cdr_swap_decode_signed32(4, _local_arg->foo_u.three.slot_2);
                  flick_cdr_swap_decode_signed32(8, _local_arg->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(411);
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(return 0, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(411);
                  break;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(412);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return->discriminator);
                  flick_iiop_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        flick_iiop_encode_new_chunk(4 + 4 * _return->foo_u.one.one_len);
                        flick_cdr_encode_unsigned32(0, _return->foo_u.one.one_len);
                        flick_cdr_encode_bcopy(4, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                        flick_iiop_encode_end_chunk(4 + 4 * _return->foo_u.one.one_len);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_encode_end_glob(412);
                        flick_cdr_encode_longstring(_return->foo_u.two, null_flick_free, iiop);
                        break;
                      }
                    case 3:
                      {
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1);
                        flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2);
                        flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(return 0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t5_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t5_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            unsigned int _t6_principal_len;
            struct foo _t7_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t6_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t6_principal_len);
            flick_iiop_decode_new_chunk(_t6_principal_len);
            flick_iiop_decode_end_chunk(_t6_principal_len);
            flick_iiop_decode_end_glob(_t6_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t7_storage;
            flick_iiop_decode_new_glob(411);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_arg->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _local_arg->foo_u.one.one_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_new_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_cdr_decode_msgptr(0, _local_arg->foo_u.one.one_val);
                  flick_iiop_decode_end_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_iiop_decode_end_glob(411);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(411);
                  flick_cdr_decode_auto_string(_local_arg->foo_u.two, auto_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.three.slot_1);
                  flick_cdr_decode_signed32(4, _local_arg->foo_u.three.slot_2);
                  flick_cdr_decode_signed32(8, _local_arg->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(411);
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(return 0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(411);
                  break;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(412);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return->discriminator);
                  flick_iiop_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        flick_iiop_encode_new_chunk(4 + 4 * _return->foo_u.one.one_len);
                        flick_cdr_encode_unsigned32(0, _return->foo_u.one.one_len);
                        flick_cdr_encode_bcopy(4, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                        flick_iiop_encode_end_chunk(4 + 4 * _return->foo_u.one.one_len);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_encode_end_glob(412);
                        flick_cdr_encode_longstring(_return->foo_u.two, null_flick_free, iiop);
                        break;
                      }
                    case 3:
                      {
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1);
                        flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2);
                        flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(return 0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
