#include "test1-client.h"

void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned16(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned16(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->case_num);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->case_num);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_mach3mig_encode_longstring(_data->name, null_flick_free, mach3mig);
  flick_mach3mig_encode_new_glob(11);
  flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_encode_signed32(0, _data->value);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(11);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_mach3mig_decode_longstring(_data->name, CORBA_flick_alloc, mach3mig);
  flick_mach3mig_decode_new_glob(11);
  flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_decode_signed32(0, _data->value);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(11);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void test1_test_void(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'v');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'i');
    flick_mach3mig_encode_char8(72, 'd');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t12_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t12_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t12_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t13_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t13_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t13_switch_tag)
            {
            case '$':
              {
                char _t14_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t14_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t14_switch_tag)
                  {
                  case 't':
                    {
                      char _t15_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t15_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t15_switch_tag)
                        {
                        case 'e':
                          {
                            char _t16_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t16_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t16_switch_tag)
                              {
                              case 's':
                                {
                                  char _t17_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t17_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t18_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t18_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t19_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t19_switch_tag)
                                                {
                                                case 'v':
                                                  {
                                                    char _t20_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t20_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t20_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t21_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t21_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t22_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t22_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t22_switch_tag)
                                                                  {
                                                                  case 'd':
                                                                    {
                                                                      char _t23_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t23_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t23_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
}

CORBA_short test1_test_short(test1 _obj, CORBA_short a1, CORBA_short *a2, CORBA_short *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 'h');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 'r');
    flick_mach3mig_encode_char8(80, 't');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(96, a1);
    flick_mach3mig_encode_signed16(104, *a3);
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t37_switch_tag;

    flick_mach3mig_decode_new_glob(136);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t37_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t37_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t38_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t38_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t38_switch_tag)
            {
            case '$':
              {
                char _t39_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t39_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t39_switch_tag)
                  {
                  case 't':
                    {
                      char _t40_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t40_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t40_switch_tag)
                        {
                        case 'e':
                          {
                            char _t41_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t41_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t41_switch_tag)
                              {
                              case 's':
                                {
                                  char _t42_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t42_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t42_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t43_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t43_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t43_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t44_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t44_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t44_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t45_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t45_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t45_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t46_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t46_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t46_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t47_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t47_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t47_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t48_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t48_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t48_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t49_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t49_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t49_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(24);
                                                                                        flick_mach3mig_decode_signed16(0, _return);
                                                                                        flick_mach3mig_decode_signed16(8, *a2);
                                                                                        flick_mach3mig_decode_signed16(16, *a3);
                                                                                        flick_mach3mig_decode_end_chunk(24);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(136);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long test1_test_long(test1 _obj, CORBA_long a1, CORBA_long *a2, CORBA_long *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'l');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'n');
    flick_mach3mig_encode_char8(72, 'g');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(88, a1);
    flick_mach3mig_encode_signed32(96, *a3);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t62_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t62_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t62_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t63_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t63_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t63_switch_tag)
            {
            case '$':
              {
                char _t64_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t64_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t64_switch_tag)
                  {
                  case 't':
                    {
                      char _t65_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t65_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t65_switch_tag)
                        {
                        case 'e':
                          {
                            char _t66_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t66_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t66_switch_tag)
                              {
                              case 's':
                                {
                                  char _t67_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t67_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t67_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t68_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t68_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t68_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t69_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t69_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t69_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t70_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t70_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t70_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t71_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t71_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t71_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t72_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t72_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t72_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t73_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t73_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t73_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(24);
                                                                                  flick_mach3mig_decode_signed32(0, _return);
                                                                                  flick_mach3mig_decode_signed32(8, *a2);
                                                                                  flick_mach3mig_decode_signed32(16, *a3);
                                                                                  flick_mach3mig_decode_end_chunk(24);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(128);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

test1_ushort test1_test_ushort(test1 _obj, test1_ushort a1, test1_ushort *a2, test1_ushort *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  test1_ushort _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(120);
    flick_mach3mig_encode_new_chunk(120);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'u');
    flick_mach3mig_encode_char8(56, 's');
    flick_mach3mig_encode_char8(64, 'h');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 'r');
    flick_mach3mig_encode_char8(88, 't');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned16(104, a1);
    flick_mach3mig_encode_unsigned16(112, *a3);
    flick_mach3mig_encode_end_chunk(120);
    flick_mach3mig_encode_end_glob(120);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t88_switch_tag;

    flick_mach3mig_decode_new_glob(144);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t88_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t88_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t89_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t89_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t89_switch_tag)
            {
            case '$':
              {
                char _t90_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t90_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t90_switch_tag)
                  {
                  case 't':
                    {
                      char _t91_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t91_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t91_switch_tag)
                        {
                        case 'e':
                          {
                            char _t92_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t92_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t92_switch_tag)
                              {
                              case 's':
                                {
                                  char _t93_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t93_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t93_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t94_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t94_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t94_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t95_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t95_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t95_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t96_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t96_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t96_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t97_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t97_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t97_switch_tag)
                                                            {
                                                            case 'h':
                                                              {
                                                                char _t98_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t98_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t98_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t99_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t99_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t99_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t100_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t100_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t100_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t101_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t101_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t101_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_new_chunk(24);
                                                                                              flick_mach3mig_decode_unsigned16(0, _return);
                                                                                              flick_mach3mig_decode_unsigned16(8, *a2);
                                                                                              flick_mach3mig_decode_unsigned16(16, *a3);
                                                                                              flick_mach3mig_decode_end_chunk(24);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(144);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

test1_ulong test1_test_ulong(test1 _obj, test1_ulong a1, test1_ulong *a2, test1_ulong *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  test1_ulong _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'u');
    flick_mach3mig_encode_char8(56, 'l');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 'n');
    flick_mach3mig_encode_char8(80, 'g');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(96, a1);
    flick_mach3mig_encode_unsigned32(104, *a3);
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t115_switch_tag;

    flick_mach3mig_decode_new_glob(136);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t115_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t115_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t116_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t116_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t116_switch_tag)
            {
            case '$':
              {
                char _t117_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t117_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t117_switch_tag)
                  {
                  case 't':
                    {
                      char _t118_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t118_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t118_switch_tag)
                        {
                        case 'e':
                          {
                            char _t119_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t119_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t119_switch_tag)
                              {
                              case 's':
                                {
                                  char _t120_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t120_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t120_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t121_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t121_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t121_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t122_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t122_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t122_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t123_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t123_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t123_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t124_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t124_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t124_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t125_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t125_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t125_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t126_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t126_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t126_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t127_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t127_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t127_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(24);
                                                                                        flick_mach3mig_decode_unsigned32(0, _return);
                                                                                        flick_mach3mig_decode_unsigned32(8, *a2);
                                                                                        flick_mach3mig_decode_unsigned32(16, *a3);
                                                                                        flick_mach3mig_decode_end_chunk(24);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(136);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_float test1_test_float(test1 _obj, CORBA_float a1, CORBA_float *a2, CORBA_float *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_float _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'f');
    flick_mach3mig_encode_char8(56, 'l');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 'a');
    flick_mach3mig_encode_char8(80, 't');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float32(96, a1);
    flick_mach3mig_encode_float32(104, *a3);
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t141_switch_tag;

    flick_mach3mig_decode_new_glob(136);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t141_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t141_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t142_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t142_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t142_switch_tag)
            {
            case '$':
              {
                char _t143_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t143_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t143_switch_tag)
                  {
                  case 't':
                    {
                      char _t144_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t144_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t144_switch_tag)
                        {
                        case 'e':
                          {
                            char _t145_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t145_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t145_switch_tag)
                              {
                              case 's':
                                {
                                  char _t146_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t146_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t146_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t147_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t147_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t147_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t148_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t148_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t148_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t149_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t149_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t149_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t150_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t150_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t150_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t151_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t151_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t151_switch_tag)
                                                                  {
                                                                  case 'a':
                                                                    {
                                                                      char _t152_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t152_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t152_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t153_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t153_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t153_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(24);
                                                                                        flick_mach3mig_decode_float32(0, _return);
                                                                                        flick_mach3mig_decode_float32(8, *a2);
                                                                                        flick_mach3mig_decode_float32(16, *a3);
                                                                                        flick_mach3mig_decode_end_chunk(24);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(136);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_double test1_test_double(test1 _obj, CORBA_double a1, CORBA_double *a2, CORBA_double *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_double _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(128);
    flick_mach3mig_encode_new_chunk(128);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'u');
    flick_mach3mig_encode_char8(72, 'b');
    flick_mach3mig_encode_char8(80, 'l');
    flick_mach3mig_encode_char8(88, 'e');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(104, a1);
    flick_mach3mig_encode_float64(116, *a3);
    flick_mach3mig_encode_end_chunk(128);
    flick_mach3mig_encode_end_glob(128);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t168_switch_tag;

    flick_mach3mig_decode_new_glob(156);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t168_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t168_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t169_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t169_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t169_switch_tag)
            {
            case '$':
              {
                char _t170_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t170_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t170_switch_tag)
                  {
                  case 't':
                    {
                      char _t171_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t171_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t171_switch_tag)
                        {
                        case 'e':
                          {
                            char _t172_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t172_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t172_switch_tag)
                              {
                              case 's':
                                {
                                  char _t173_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t173_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t173_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t174_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t174_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t174_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t175_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t175_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t175_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t176_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t176_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t176_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t177_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t177_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t177_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t178_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t178_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t178_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t179_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t179_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t179_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t180_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t180_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t180_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t181_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t181_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t181_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_new_chunk(36);
                                                                                              flick_mach3mig_decode_float64(0, _return);
                                                                                              flick_mach3mig_decode_float64(12, *a2);
                                                                                              flick_mach3mig_decode_float64(24, *a3);
                                                                                              flick_mach3mig_decode_end_chunk(36);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(156);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_boolean test1_test_boolean(test1 _obj, CORBA_boolean a1, CORBA_boolean *a2, CORBA_boolean *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_boolean _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(128);
    flick_mach3mig_encode_new_chunk(128);
    flick_mach3mig_encode_unsigned32(0, 13);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'b');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 'l');
    flick_mach3mig_encode_char8(80, 'e');
    flick_mach3mig_encode_char8(88, 'a');
    flick_mach3mig_encode_char8(96, 'n');
    flick_mach3mig_encode_char8(104, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_boolean(112, a1);
    flick_mach3mig_encode_boolean(120, *a3);
    flick_mach3mig_encode_end_chunk(128);
    flick_mach3mig_encode_end_glob(128);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t197_switch_tag;

    flick_mach3mig_decode_new_glob(152);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t197_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t197_switch_tag)
      {
      case (unsigned int) 14:
        {
          char _t198_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t198_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t198_switch_tag)
            {
            case '$':
              {
                char _t199_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t199_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t199_switch_tag)
                  {
                  case 't':
                    {
                      char _t200_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t200_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t200_switch_tag)
                        {
                        case 'e':
                          {
                            char _t201_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t201_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t201_switch_tag)
                              {
                              case 's':
                                {
                                  char _t202_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t202_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t202_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t203_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t203_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t203_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t204_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t204_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t204_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t205_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t205_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t205_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t206_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t206_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t206_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t207_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t207_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t207_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t208_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t208_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t208_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t209_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t209_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t209_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t210_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t210_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t210_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t211_switch_tag;

                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_char8(0, _t211_switch_tag);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_t211_switch_tag)
                                                                                          {
                                                                                          case 0:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              switch (_ev->_major)
                                                                                                {
                                                                                                case CORBA_NO_EXCEPTION:
                                                                                                  {
                                                                                                    /* Begin decode phase on parameters */
                                                                                                    flick_mach3mig_decode_new_chunk(24);
                                                                                                    flick_mach3mig_decode_boolean(0, _return);
                                                                                                    flick_mach3mig_decode_boolean(8, *a2);
                                                                                                    flick_mach3mig_decode_boolean(16, *a3);
                                                                                                    flick_mach3mig_decode_end_chunk(24);
                                                                                                    break;
                                                                                                  }
                                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                                  {
                                                                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(152);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_char test1_test_char(test1 _obj, CORBA_char a1, CORBA_char *a2, CORBA_char *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 'h');
    flick_mach3mig_encode_char8(64, 'a');
    flick_mach3mig_encode_char8(72, 'r');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(88, a1);
    flick_mach3mig_encode_char8(96, *a3);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t224_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t224_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t224_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t225_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t225_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t225_switch_tag)
            {
            case '$':
              {
                char _t226_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t226_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t226_switch_tag)
                  {
                  case 't':
                    {
                      char _t227_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t227_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t227_switch_tag)
                        {
                        case 'e':
                          {
                            char _t228_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t228_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t228_switch_tag)
                              {
                              case 's':
                                {
                                  char _t229_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t229_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t229_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t230_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t230_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t230_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t231_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t231_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t231_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t232_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t232_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t232_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t233_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t233_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t233_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t234_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t234_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t234_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t235_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t235_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t235_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(24);
                                                                                  flick_mach3mig_decode_char8(0, _return);
                                                                                  flick_mach3mig_decode_char8(8, *a2);
                                                                                  flick_mach3mig_decode_char8(16, *a3);
                                                                                  flick_mach3mig_decode_end_chunk(24);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(128);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_octet test1_test_octet(test1 _obj, CORBA_octet a1, CORBA_octet *a2, CORBA_octet *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_octet _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'o');
    flick_mach3mig_encode_char8(56, 'c');
    flick_mach3mig_encode_char8(64, 't');
    flick_mach3mig_encode_char8(72, 'e');
    flick_mach3mig_encode_char8(80, 't');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned8(96, a1);
    flick_mach3mig_encode_unsigned8(104, *a3);
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t249_switch_tag;

    flick_mach3mig_decode_new_glob(136);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t249_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t249_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t250_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t250_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t250_switch_tag)
            {
            case '$':
              {
                char _t251_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t251_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t251_switch_tag)
                  {
                  case 't':
                    {
                      char _t252_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t252_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t252_switch_tag)
                        {
                        case 'e':
                          {
                            char _t253_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t253_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t253_switch_tag)
                              {
                              case 's':
                                {
                                  char _t254_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t254_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t254_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t255_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t255_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t255_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t256_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t256_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t256_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t257_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t257_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t257_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t258_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t258_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t258_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t259_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t259_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t259_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t260_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t260_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t260_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t261_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t261_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t261_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(24);
                                                                                        flick_mach3mig_decode_unsigned8(0, _return);
                                                                                        flick_mach3mig_decode_unsigned8(8, *a2);
                                                                                        flick_mach3mig_decode_unsigned8(16, *a3);
                                                                                        flick_mach3mig_decode_end_chunk(24);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(136);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_char *test1_test_string(test1 _obj, CORBA_char *a1, CORBA_char **a2, CORBA_char **a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'r');
    flick_mach3mig_encode_char8(72, 'i');
    flick_mach3mig_encode_char8(80, 'n');
    flick_mach3mig_encode_char8(88, 'g');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
    flick_mach3mig_encode_longstring(a1, null_flick_free, mach3mig);
    flick_mach3mig_encode_longstring(*a3, CORBA_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t276_switch_tag;

    flick_mach3mig_decode_new_glob(120);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t276_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t276_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t277_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t277_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t277_switch_tag)
            {
            case '$':
              {
                char _t278_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t278_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t278_switch_tag)
                  {
                  case 't':
                    {
                      char _t279_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t279_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t279_switch_tag)
                        {
                        case 'e':
                          {
                            char _t280_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t280_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t280_switch_tag)
                              {
                              case 's':
                                {
                                  char _t281_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t281_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t281_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t282_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t282_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t282_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t283_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t283_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t283_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t284_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t284_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t284_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t285_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t285_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t285_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t286_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t286_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t286_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t287_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t287_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t287_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t288_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t288_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t288_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t289_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t289_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t289_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                              flick_mach3mig_decode_longstring(_return, CORBA_flick_alloc, mach3mig);
                                                                                              flick_mach3mig_decode_longstring(*a2, CORBA_flick_alloc, mach3mig);
                                                                                              flick_mach3mig_decode_longstring(*a3, CORBA_flick_alloc, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(120);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_Object test1_test_Object(test1 _obj, CORBA_Object a1, CORBA_Object *a2, CORBA_Object *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_Object _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(120);
    flick_mach3mig_encode_new_chunk(120);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'O');
    flick_mach3mig_encode_char8(56, 'b');
    flick_mach3mig_encode_char8(64, 'j');
    flick_mach3mig_encode_char8(72, 'e');
    flick_mach3mig_encode_char8(80, 'c');
    flick_mach3mig_encode_char8(88, 't');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_port32(104, a1, 1, MACH_MSG_TYPE_PORT_NAME);
    flick_mach3mig_encode_port32(112, *a3, 1, MACH_MSG_TYPE_PORT_NAME);
    flick_mach3mig_encode_end_chunk(120);
    flick_mach3mig_encode_end_glob(120);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t304_switch_tag;

    flick_mach3mig_decode_new_glob(144);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t304_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t304_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t305_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t305_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t305_switch_tag)
            {
            case '$':
              {
                char _t306_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t306_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t306_switch_tag)
                  {
                  case 't':
                    {
                      char _t307_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t307_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t307_switch_tag)
                        {
                        case 'e':
                          {
                            char _t308_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t308_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t308_switch_tag)
                              {
                              case 's':
                                {
                                  char _t309_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t309_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t309_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t310_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t310_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t310_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t311_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t311_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t311_switch_tag)
                                                {
                                                case 'O':
                                                  {
                                                    char _t312_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t312_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t312_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t313_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t313_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t313_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t314_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t314_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t314_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t315_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t315_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t315_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t316_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t316_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t316_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t317_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t317_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t317_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_new_chunk(24);
                                                                                              flick_mach3mig_decode_port32(0, _return, 1, MACH_MSG_TYPE_PORT_NAME);
                                                                                              flick_mach3mig_decode_port32(8, *a2, 1, MACH_MSG_TYPE_PORT_NAME);
                                                                                              flick_mach3mig_decode_port32(16, *a3, 1, MACH_MSG_TYPE_PORT_NAME);
                                                                                              flick_mach3mig_decode_end_chunk(24);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(144);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void test1_test_throw(test1 _obj, CORBA_long case_num, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 'h');
    flick_mach3mig_encode_char8(64, 'r');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 'w');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(96, case_num);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t331_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t331_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t331_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t332_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t332_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t332_switch_tag)
            {
            case '$':
              {
                char _t333_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t333_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t333_switch_tag)
                  {
                  case 't':
                    {
                      char _t334_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t334_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t334_switch_tag)
                        {
                        case 'e':
                          {
                            char _t335_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t335_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t335_switch_tag)
                              {
                              case 's':
                                {
                                  char _t336_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t336_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t336_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t337_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t337_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t337_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t338_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t338_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t338_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t339_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t339_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t339_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t340_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t340_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t340_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t341_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t341_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t341_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t342_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t342_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t342_switch_tag)
                                                                        {
                                                                        case 'w':
                                                                          {
                                                                            char _t343_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t343_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t343_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_end_glob(128);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(128);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_atomic_user_id);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_atomic_user_id)
                                                                                          {
                                                                                          case 0:
                                                                                            {
                                                                                              (test1_x1 *)(_ev->_except) = CORBA_flick_alloc(sizeof(test1_x1 ));
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              flick_mach3mig_decode_end_glob(128);
                                                                                              break;
                                                                                            }
                                                                                          case 1:
                                                                                            {
                                                                                              (test1_x2 *)(_ev->_except) = CORBA_flick_alloc(sizeof(test1_x2 ));
                                                                                              flick_mach3mig_decode_end_glob(128);
                                                                                              flick_mach3mig_decode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_alloc, mach3mig);
                                                                                              flick_mach3mig_decode_new_glob(11);
                                                                                              flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                                              flick_mach3mig_decode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              flick_mach3mig_decode_end_glob(11);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(128);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(128);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(128);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(128);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(128);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(128);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(128);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(128);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(128);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(128);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(128);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(128);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(128);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(128);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void test1_please_exit(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 'p');
    flick_mach3mig_encode_char8(16, 'l');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 'a');
    flick_mach3mig_encode_char8(40, 's');
    flick_mach3mig_encode_char8(48, 'e');
    flick_mach3mig_encode_char8(56, '_');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 'x');
    flick_mach3mig_encode_char8(80, 'i');
    flick_mach3mig_encode_char8(88, 't');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_send(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
}

