#include "array-1-client.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_suntcp_encode_new_glob(64);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 16; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(64);
  flick_xdr_encode_bcopy(0, *_data, 4 * 16);
  flick_suntcp_encode_end_chunk(64);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t1_array_length = 16;
  flick_suntcp_decode_new_glob(64);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(64);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t1_array_length);
  flick_suntcp_decode_end_chunk(64);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_suntcp_encode_new_glob(128);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 32; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(128);
  flick_xdr_encode_bcopy(0, *_data, 4 * 32);
  flick_suntcp_encode_end_chunk(128);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t4_array_length = 32;
  flick_suntcp_decode_new_glob(128);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(128);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t4_array_length);
  flick_suntcp_decode_end_chunk(128);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_suntcp_encode_new_glob(256);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 64; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t6_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(256);
  flick_xdr_encode_bcopy(0, *_data, 4 * 64);
  flick_suntcp_encode_end_chunk(256);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t7_array_length = 64;
  flick_suntcp_decode_new_glob(256);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(256);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t7_array_length);
  flick_suntcp_decode_end_chunk(256);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_suntcp_encode_new_glob(512);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < 128; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t9_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(512);
  flick_xdr_encode_bcopy(0, *_data, 4 * 128);
  flick_suntcp_encode_end_chunk(512);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t10_array_length = 128;
  flick_suntcp_decode_new_glob(512);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(512);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t10_array_length);
  flick_suntcp_decode_end_chunk(512);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_unsigned16_t _t12_array_iter;

  flick_suntcp_encode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 256; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t12_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(1024);
  flick_xdr_encode_bcopy(0, *_data, 4 * 256);
  flick_suntcp_encode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t13_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t13_array_length = 256;
  flick_suntcp_decode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t14_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(1024);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t13_array_length);
  flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_unsigned16_t _t15_array_iter;

  flick_suntcp_encode_new_glob(2048);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < 512; _t15_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t15_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(2048);
  flick_xdr_encode_bcopy(0, *_data, 4 * 512);
  flick_suntcp_encode_end_chunk(2048);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t16_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t16_array_length = 512;
  flick_suntcp_decode_new_glob(2048);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(2048);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t16_array_length);
  flick_suntcp_decode_end_chunk(2048);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_unsigned16_t _t18_array_iter;

  flick_suntcp_encode_new_glob(4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t18_array_iter = 0; _t18_array_iter < 1024; _t18_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t18_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4096);
  flick_xdr_encode_bcopy(0, *_data, 4 * 1024);
  flick_suntcp_encode_end_chunk(4096);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t19_array_length;
  flick_unsigned16_t _t20_array_iter;

  _t19_array_length = 1024;
  flick_suntcp_decode_new_glob(4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t20_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4096);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t19_array_length);
  flick_suntcp_decode_end_chunk(4096);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_unsigned16_t _t21_array_iter;

  flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t21_array_iter = 0; _t21_array_iter < 2048; _t21_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t21_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 4 * 2048);
  flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t22_array_length;
  flick_unsigned16_t _t23_array_iter;

  _t22_array_length = 2048;
  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t22_array_length);
  flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_unsigned16_t _t24_array_iter;

  flick_suntcp_encode_new_glob(4 * 4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t24_array_iter = 0; _t24_array_iter < 4096; _t24_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t24_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16384);
  flick_xdr_encode_bcopy(0, *_data, 4 * 4096);
  flick_suntcp_encode_end_chunk(16384);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * 4096);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t25_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t25_array_length = 4096;
  flick_suntcp_decode_new_glob(4 * _t25_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t26_array_iter = 0; _t26_array_iter < _t25_array_length; _t26_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t26_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16384);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t25_array_length);
  flick_suntcp_decode_end_chunk(16384);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t25_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_unsigned16_t _t27_array_iter;

  flick_suntcp_encode_new_glob(4 * 8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t27_array_iter = 0; _t27_array_iter < 8192; _t27_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t27_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32768);
  flick_xdr_encode_bcopy(0, *_data, 4 * 8192);
  flick_suntcp_encode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * 8192);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t28_array_length;
  flick_unsigned16_t _t29_array_iter;

  _t28_array_length = 8192;
  flick_suntcp_decode_new_glob(4 * _t28_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _t28_array_length; _t29_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t29_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32768);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t28_array_length);
  flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t28_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_unsigned16_t _t30_array_iter;

  flick_suntcp_encode_new_glob(4 * 16384);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t30_array_iter = 0; _t30_array_iter < 16384; _t30_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t30_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(65536);
  flick_xdr_encode_bcopy(0, *_data, 4 * 16384);
  flick_suntcp_encode_end_chunk(65536);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * 16384);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t31_array_length;
  flick_unsigned16_t _t32_array_iter;

  _t31_array_length = 16384;
  flick_suntcp_decode_new_glob(4 * _t31_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t32_array_iter = 0; _t32_array_iter < _t31_array_length; _t32_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t32_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(65536);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t31_array_length);
  flick_suntcp_decode_end_chunk(65536);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t31_array_length);
}

int *op64_1234(data64 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t34_array_iter;

    flick_suntcp_encode_new_glob(84);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t34_array_iter = 0; _t34_array_iter < 16; _t34_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t34_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_bcopy(0, arg, 4 * 16);
    flick_suntcp_encode_end_chunk(64);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(84);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t36_storage;

            _return = &_t36_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op128_1234(data128 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t38_array_iter;

    flick_suntcp_encode_new_glob(148);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 2);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t38_array_iter = 0; _t38_array_iter < 32; _t38_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t38_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(128);
    flick_xdr_encode_bcopy(0, arg, 4 * 32);
    flick_suntcp_encode_end_chunk(128);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(148);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t40_storage;

            _return = &_t40_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op256_1234(data256 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t42_array_iter;

    flick_suntcp_encode_new_glob(276);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 3);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t42_array_iter = 0; _t42_array_iter < 64; _t42_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t42_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(256);
    flick_xdr_encode_bcopy(0, arg, 4 * 64);
    flick_suntcp_encode_end_chunk(256);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(276);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t44_storage;

            _return = &_t44_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op512_1234(data512 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t46_array_iter;

    flick_suntcp_encode_new_glob(532);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 4);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t46_array_iter = 0; _t46_array_iter < 128; _t46_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t46_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(512);
    flick_xdr_encode_bcopy(0, arg, 4 * 128);
    flick_suntcp_encode_end_chunk(512);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(532);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t48_storage;

            _return = &_t48_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op1k_1234(data1K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned16_t _t50_array_iter;

    flick_suntcp_encode_new_glob(1044);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 5);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t50_array_iter = 0; _t50_array_iter < 256; _t50_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t50_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(1024);
    flick_xdr_encode_bcopy(0, arg, 4 * 256);
    flick_suntcp_encode_end_chunk(1024);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(1044);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t52_storage;

            _return = &_t52_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op2k_1234(data2K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned16_t _t54_array_iter;

    flick_suntcp_encode_new_glob(2068);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 6);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t54_array_iter = 0; _t54_array_iter < 512; _t54_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t54_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(2048);
    flick_xdr_encode_bcopy(0, arg, 4 * 512);
    flick_suntcp_encode_end_chunk(2048);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(2068);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t56_storage;

            _return = &_t56_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op4k_1234(data4K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned16_t _t58_array_iter;

    flick_suntcp_encode_new_glob(4116);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 7);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t58_array_iter = 0; _t58_array_iter < 1024; _t58_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t58_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4096);
    flick_xdr_encode_bcopy(0, arg, 4 * 1024);
    flick_suntcp_encode_end_chunk(4096);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4116);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t60_storage;

            _return = &_t60_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op8k_1234(data8K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned16_t _t62_array_iter;

    flick_suntcp_encode_new_glob(20);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 8);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
    flick_suntcp_encode_end_glob(20);
    flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t62_array_iter = 0; _t62_array_iter < 2048; _t62_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t62_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(8192);
    flick_xdr_encode_bcopy(0, arg, 4 * 2048);
    flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(8192);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t64_storage;

            _return = &_t64_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op16k_1234(data16K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned16_t _t66_array_iter;

    flick_suntcp_encode_new_glob(20);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 9);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
    flick_suntcp_encode_end_glob(20);
    flick_suntcp_encode_new_glob(4 * 4096);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t66_array_iter = 0; _t66_array_iter < 4096; _t66_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t66_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(16384);
    flick_xdr_encode_bcopy(0, arg, 4 * 4096);
    flick_suntcp_encode_end_chunk(16384);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * 4096);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t68_storage;

            _return = &_t68_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op32k_1234(data32K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned16_t _t70_array_iter;

    flick_suntcp_encode_new_glob(20);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 10);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
    flick_suntcp_encode_end_glob(20);
    flick_suntcp_encode_new_glob(4 * 8192);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t70_array_iter = 0; _t70_array_iter < 8192; _t70_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t70_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(32768);
    flick_xdr_encode_bcopy(0, arg, 4 * 8192);
    flick_suntcp_encode_end_chunk(32768);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * 8192);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t72_storage;

            _return = &_t72_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *op64k_1234(data64K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned16_t _t74_array_iter;

    flick_suntcp_encode_new_glob(20);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 11);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
    flick_suntcp_encode_end_glob(20);
    flick_suntcp_encode_new_glob(4 * 16384);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t74_array_iter = 0; _t74_array_iter < 16384; _t74_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg[_t74_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(65536);
    flick_xdr_encode_bcopy(0, arg, 4 * 16384);
    flick_suntcp_encode_end_chunk(65536);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * 16384);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t76_storage;

            _return = &_t76_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

