#include "struct-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_foo2;
	s.vers_num = _VERS_foo2;

	reg_success = flick_server_register(s, &foo2_server);
	assert(reg_success);


	s.prog_num = _PROG_foo;
	s.vers_num = _VERS_foo;

	reg_success = flick_server_register(s, &foo_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_signed32(4, _data->b2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_xdr_encode_string(_data->b3, CORBA_flick_free, suntcp, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_signed32(4, _data->b2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_xdr_decode_string(_data->b3, CORBA_flick_alloc, suntcp, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->b3);
  flick_xdr_encode_signed32(4, _data->b4.b1);
  flick_xdr_encode_signed32(8, _data->b4.b2);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  flick_xdr_encode_string(_data->b4.b3, CORBA_flick_free, suntcp, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->b3);
  flick_xdr_decode_signed32(4, _data->b4.b1);
  flick_xdr_decode_signed32(8, _data->b4.b2);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  flick_xdr_decode_string(_data->b4.b3, CORBA_flick_alloc, suntcp, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_signed32(4, _data->b2);
  flick_xdr_encode_signed32(8, _data->b3);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_signed32(4, _data->b2);
  flick_xdr_decode_signed32(8, _data->b3);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_signed32(4, _data->b2.b3);
  flick_xdr_encode_signed32(8, _data->b2.b4.b1);
  flick_xdr_encode_signed32(12, _data->b2.b4.b2);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
  flick_xdr_encode_string(_data->b2.b4.b3, CORBA_flick_free, suntcp, 20);
  flick_suntcp_encode_new_glob(23);
  flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->b3);
  flick_xdr_encode_signed32(4, _data->b4.b1);
  flick_xdr_encode_signed32(8, _data->b4.b2);
  flick_xdr_encode_signed32(12, _data->b4.b3);
  flick_xdr_encode_signed32(16, _data->b5);
  flick_suntcp_encode_end_chunk(20);
  flick_suntcp_encode_end_glob(23);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_signed32(4, _data->b2.b3);
  flick_xdr_decode_signed32(8, _data->b2.b4.b1);
  flick_xdr_decode_signed32(12, _data->b2.b4.b2);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
  flick_xdr_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, suntcp, 20);
  flick_suntcp_decode_new_glob(23);
  flick_suntcp_decode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->b3);
  flick_xdr_decode_signed32(4, _data->b4.b1);
  flick_xdr_decode_signed32(8, _data->b4.b2);
  flick_xdr_decode_signed32(12, _data->b4.b3);
  flick_xdr_decode_signed32(16, _data->b5);
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_decode_end_glob(23);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t foo_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t8_switch_tag;

    flick_suntcp_decode_new_glob(40);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t8_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t9_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t9_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t9_switch_tag)
            {
            case 'o':
              {
                char _t10_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t10_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t10_switch_tag)
                  {
                  case 'p':
                    {
                      char _t11_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t11_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t11_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo _obj;
                              struct bar *_local_a;
                              struct bar2 **_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t12_ignore;
                              struct bar _t13_storage;
                              struct bar2 *_t14_storage;
                              CORBA_Environment _t15_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t12_ignore);
                              flick_xdr_decode_unsigned32(4, _t12_ignore);
                              flick_xdr_decode_unsigned32(8, _t12_ignore);
                              flick_xdr_decode_unsigned32(12, _t12_ignore);
                              _local_a = &_t13_storage;
                              flick_xdr_decode_signed32(16, _local_a->b1);
                              flick_xdr_decode_signed32(20, _local_a->b2);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(40);
                              flick_xdr_decode_auto_string(_local_a->b3, auto_flick_alloc, suntcp);
                              _local_b = &_t14_storage;
                              _ev = &_t15_storage;
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = foo_op(_obj, _local_a, _local_b, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(20);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(16);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_xdr_encode_signed32(4, (*_local_b)->b3);
                                    flick_xdr_encode_signed32(8, (*_local_b)->b4.b1);
                                    flick_xdr_encode_signed32(12, (*_local_b)->b4.b2);
                                    flick_suntcp_encode_end_chunk(16);
                                    flick_suntcp_encode_end_glob(20);
                                    flick_xdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, suntcp, 20);
                                    CORBA_flick_free(*_local_b);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    flick_suntcp_encode_end_glob(20);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                    flick_suntcp_encode_end_glob(20);
                                  }
                                }
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(40);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t foo2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t35_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t35_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t35_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t36_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t36_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t36_switch_tag)
            {
            case 'o':
              {
                char _t37_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t37_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t37_switch_tag)
                  {
                  case 'p':
                    {
                      char _t38_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t38_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t38_switch_tag)
                        {
                        case '2':
                          {
                            char _t39_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t39_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t39_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    struct bar2 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct bar *_return = 0;
                                    unsigned int _t40_ignore;
                                    struct bar2 _t41_storage;
                                    CORBA_Environment _t42_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t40_ignore);
                                    flick_xdr_decode_unsigned32(4, _t40_ignore);
                                    flick_xdr_decode_unsigned32(8, _t40_ignore);
                                    flick_xdr_decode_unsigned32(12, _t40_ignore);
                                    _local_a = &_t41_storage;
                                    flick_xdr_decode_signed32(16, _local_a->b3);
                                    flick_xdr_decode_signed32(20, _local_a->b4.b1);
                                    flick_xdr_decode_signed32(24, _local_a->b4.b2);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_xdr_decode_auto_string(_local_a->b4.b3, auto_flick_alloc, suntcp);
                                    _ev = &_t42_storage;
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = foo2_op2(_obj, _local_a, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_signed32(0, _return->b1);
                                          flick_xdr_encode_signed32(4, _return->b2);
                                          flick_suntcp_encode_end_chunk(8);
                                          flick_suntcp_encode_end_glob(12);
                                          flick_xdr_encode_string(_return->b3, CORBA_flick_free, suntcp, 20);
                                          CORBA_flick_free(_return);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(12);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(12);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t43_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t43_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t43_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    CORBA_long _local_a;
                                    CORBA_char *_local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t44_ignore;
                                    CORBA_char _t45_storage;
                                    CORBA_Environment _t46_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t44_ignore);
                                    flick_xdr_decode_unsigned32(4, _t44_ignore);
                                    flick_xdr_decode_unsigned32(8, _t44_ignore);
                                    flick_xdr_decode_unsigned32(12, _t44_ignore);
                                    flick_xdr_decode_signed32(16, _local_a);
                                    _local_b = &_t45_storage;
                                    _ev = &_t46_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_xdr_encode_char8(4, *_local_b);
                                          flick_suntcp_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t47_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t47_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t47_switch_tag)
            {
            case 'o':
              {
                char _t48_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t48_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t48_switch_tag)
                  {
                  case 'p':
                    {
                      char _t49_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t49_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t49_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo2 _obj;
                              struct bar *_local_a;
                              struct bar2 **_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t50_ignore;
                              struct bar _t51_storage;
                              struct bar2 *_t52_storage;
                              CORBA_Environment _t53_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t50_ignore);
                              flick_xdr_decode_unsigned32(4, _t50_ignore);
                              flick_xdr_decode_unsigned32(8, _t50_ignore);
                              flick_xdr_decode_unsigned32(12, _t50_ignore);
                              _local_a = &_t51_storage;
                              flick_xdr_decode_signed32(16, _local_a->b1);
                              flick_xdr_decode_signed32(20, _local_a->b2);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(48);
                              flick_xdr_decode_auto_string(_local_a->b3, auto_flick_alloc, suntcp);
                              _local_b = &_t52_storage;
                              _ev = &_t53_storage;
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = foo2_op(_obj, _local_a, _local_b, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(20);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(16);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_xdr_encode_signed32(4, (*_local_b)->b3);
                                    flick_xdr_encode_signed32(8, (*_local_b)->b4.b1);
                                    flick_xdr_encode_signed32(12, (*_local_b)->b4.b2);
                                    flick_suntcp_encode_end_chunk(16);
                                    flick_suntcp_encode_end_glob(20);
                                    flick_xdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, suntcp, 20);
                                    CORBA_flick_free(*_local_b);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    flick_suntcp_encode_end_glob(20);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                    flick_suntcp_encode_end_glob(20);
                                  }
                                }
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned16(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned16(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned16(0, _data->row);
  flick_xdr_encode_unsigned16(4, _data->col);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned16(0, _data->row);
  flick_xdr_decode_unsigned16(4, _data->col);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned16(0, _data->row);
  flick_xdr_encode_unsigned16(4, _data->col);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned16(0, _data->row);
  flick_xdr_decode_unsigned16(4, _data->col);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_unsigned16(0, _data->row);
  flick_xdr_encode_unsigned16(4, _data->col);
  flick_xdr_encode_unsigned16(8, _data->col2);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_unsigned16(0, _data->row);
  flick_xdr_decode_unsigned16(4, _data->col);
  flick_xdr_decode_unsigned16(8, _data->col2);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

