#include "structnest_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, const struct a_b_q *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned8(0, _data->c);
  flick_xdr_encode_signed32(4, _data->d);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned8(0, _data->c);
  flick_xdr_decode_signed32(4, _data->d);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_a_b(flick_marshal_stream_t _stream, const struct a_b *_data)
{
  flick_suntcp_encode_new_glob(28);
  flick_suntcp_encode_new_chunk(28);
  flick_xdr_encode_signed16(0, _data->c);
  flick_xdr_encode_char8(4, _data->d);
  flick_xdr_encode_unsigned8(8, _data->e.c);
  flick_xdr_encode_signed32(12, _data->e.d);
  flick_xdr_encode_signed16(16, _data->f);
  flick_xdr_encode_unsigned8(20, _data->g.c);
  flick_xdr_encode_signed32(24, _data->g.d);
  flick_suntcp_encode_end_chunk(28);
  flick_suntcp_encode_end_glob(28);
}

void flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_suntcp_decode_new_glob(28);
  flick_suntcp_decode_new_chunk(28);
  flick_xdr_decode_signed16(0, _data->c);
  flick_xdr_decode_char8(4, _data->d);
  flick_xdr_decode_unsigned8(8, _data->e.c);
  flick_xdr_decode_signed32(12, _data->e.d);
  flick_xdr_decode_signed16(16, _data->f);
  flick_xdr_decode_unsigned8(20, _data->g.c);
  flick_xdr_decode_signed32(24, _data->g.d);
  flick_suntcp_decode_end_chunk(28);
  flick_suntcp_decode_end_glob(28);
}

void flick_marshal_stub_a_q(flick_marshal_stream_t _stream, const struct a_q *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed16(0, _data->a);
  flick_xdr_encode_float64(4, _data->b);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed16(0, _data->a);
  flick_xdr_decode_float64(4, _data->b);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, const struct a_z_zz *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed16(0, _data->a.a);
  flick_xdr_encode_float64(4, _data->a.b);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed16(0, _data->a.a);
  flick_xdr_decode_float64(4, _data->a.b);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_a_z(flick_marshal_stream_t _stream, const struct a_z *_data)
{
  flick_suntcp_encode_new_glob(24);
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_signed16(0, _data->b.a.a);
  flick_xdr_encode_float64(4, _data->b.a.b);
  flick_xdr_encode_signed16(12, _data->z.a);
  flick_xdr_encode_float64(16, _data->z.b);
  flick_suntcp_encode_end_chunk(24);
  flick_suntcp_encode_end_glob(24);
}

void flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_suntcp_decode_new_glob(24);
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_signed16(0, _data->b.a.a);
  flick_xdr_decode_float64(4, _data->b.a.b);
  flick_xdr_decode_signed16(12, _data->z.a);
  flick_xdr_decode_float64(16, _data->z.b);
  flick_suntcp_decode_end_chunk(24);
  flick_suntcp_decode_end_glob(24);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_suntcp_encode_new_glob(108);
  flick_suntcp_encode_new_chunk(108);
  flick_xdr_encode_signed16(0, _data->e.c);
  flick_xdr_encode_char8(4, _data->e.d);
  flick_xdr_encode_unsigned8(8, _data->e.e.c);
  flick_xdr_encode_signed32(12, _data->e.e.d);
  flick_xdr_encode_signed16(16, _data->e.f);
  flick_xdr_encode_unsigned8(20, _data->e.g.c);
  flick_xdr_encode_signed32(24, _data->e.g.d);
  flick_xdr_encode_signed16(28, _data->h.a);
  flick_xdr_encode_float64(32, _data->h.b);
  flick_xdr_encode_signed16(40, _data->j.b.a.a);
  flick_xdr_encode_float64(44, _data->j.b.a.b);
  flick_xdr_encode_signed16(52, _data->j.z.a);
  flick_xdr_encode_float64(56, _data->j.z.b);
  flick_xdr_encode_float32(64, _data->f);
  flick_xdr_encode_signed16(68, _data->g.c);
  flick_xdr_encode_char8(72, _data->g.d);
  flick_xdr_encode_unsigned8(76, _data->g.e.c);
  flick_xdr_encode_signed32(80, _data->g.e.d);
  flick_xdr_encode_signed16(84, _data->g.f);
  flick_xdr_encode_unsigned8(88, _data->g.g.c);
  flick_xdr_encode_signed32(92, _data->g.g.d);
  flick_xdr_encode_signed16(96, _data->i.a);
  flick_xdr_encode_float64(100, _data->i.b);
  flick_suntcp_encode_end_chunk(108);
  flick_suntcp_encode_end_glob(108);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_suntcp_decode_new_glob(108);
  flick_suntcp_decode_new_chunk(108);
  flick_xdr_decode_signed16(0, _data->e.c);
  flick_xdr_decode_char8(4, _data->e.d);
  flick_xdr_decode_unsigned8(8, _data->e.e.c);
  flick_xdr_decode_signed32(12, _data->e.e.d);
  flick_xdr_decode_signed16(16, _data->e.f);
  flick_xdr_decode_unsigned8(20, _data->e.g.c);
  flick_xdr_decode_signed32(24, _data->e.g.d);
  flick_xdr_decode_signed16(28, _data->h.a);
  flick_xdr_decode_float64(32, _data->h.b);
  flick_xdr_decode_signed16(40, _data->j.b.a.a);
  flick_xdr_decode_float64(44, _data->j.b.a.b);
  flick_xdr_decode_signed16(52, _data->j.z.a);
  flick_xdr_decode_float64(56, _data->j.z.b);
  flick_xdr_decode_float32(64, _data->f);
  flick_xdr_decode_signed16(68, _data->g.c);
  flick_xdr_decode_char8(72, _data->g.d);
  flick_xdr_decode_unsigned8(76, _data->g.e.c);
  flick_xdr_decode_signed32(80, _data->g.e.d);
  flick_xdr_decode_signed16(84, _data->g.f);
  flick_xdr_decode_unsigned8(88, _data->g.g.c);
  flick_xdr_decode_signed32(92, _data->g.g.d);
  flick_xdr_decode_signed16(96, _data->i.a);
  flick_xdr_decode_float64(100, _data->i.b);
  flick_suntcp_decode_end_chunk(108);
  flick_suntcp_decode_end_glob(108);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_suntcp_encode_new_glob(32);
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_signed16(0, _data->c.c);
  flick_xdr_encode_char8(4, _data->c.d);
  flick_xdr_encode_unsigned8(8, _data->c.e.c);
  flick_xdr_encode_signed32(12, _data->c.e.d);
  flick_xdr_encode_signed16(16, _data->c.f);
  flick_xdr_encode_unsigned8(20, _data->c.g.c);
  flick_xdr_encode_signed32(24, _data->c.g.d);
  flick_xdr_encode_char8(28, _data->d);
  flick_suntcp_encode_end_chunk(32);
  flick_suntcp_encode_end_glob(32);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_suntcp_decode_new_glob(32);
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_signed16(0, _data->c.c);
  flick_xdr_decode_char8(4, _data->c.d);
  flick_xdr_decode_unsigned8(8, _data->c.e.c);
  flick_xdr_decode_signed32(12, _data->c.e.d);
  flick_xdr_decode_signed16(16, _data->c.f);
  flick_xdr_decode_unsigned8(20, _data->c.g.c);
  flick_xdr_decode_signed32(24, _data->c.g.d);
  flick_xdr_decode_char8(28, _data->d);
  flick_suntcp_decode_end_chunk(32);
  flick_suntcp_decode_end_glob(32);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t12_switch_tag;

    flick_suntcp_decode_new_glob(160);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t12_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t12_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t13_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t13_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t13_switch_tag)
            {
            case 'C':
              {
                char _t14_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t14_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t14_switch_tag)
                  {
                  case 'o':
                    {
                      char _t15_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t15_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t15_switch_tag)
                        {
                        case 'p':
                          {
                            char _t16_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t16_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t16_switch_tag)
                              {
                              case 'y':
                                {
                                  char _t17_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t17_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t17_switch_tag)
                                    {
                                    case 'A':
                                      {
                                        char _t18_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t18_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t18_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t19_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t19_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t19_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t20_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t20_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t20_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            struct a *_local_s1;
                                                            CORBA_Environment *_ev;
                                                            struct b _return;
                                                            unsigned int _t21_ignore;
                                                            struct a _t22_storage;
                                                            CORBA_Environment _t23_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(124);
                                                            flick_xdr_decode_unsigned32(0, _t21_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t21_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t21_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t21_ignore);
                                                            _local_s1 = &_t22_storage;
                                                            flick_xdr_decode_signed16(16, _local_s1->e.c);
                                                            flick_xdr_decode_char8(20, _local_s1->e.d);
                                                            flick_xdr_decode_unsigned8(24, _local_s1->e.e.c);
                                                            flick_xdr_decode_signed32(28, _local_s1->e.e.d);
                                                            flick_xdr_decode_signed16(32, _local_s1->e.f);
                                                            flick_xdr_decode_unsigned8(36, _local_s1->e.g.c);
                                                            flick_xdr_decode_signed32(40, _local_s1->e.g.d);
                                                            flick_xdr_decode_signed16(44, _local_s1->h.a);
                                                            flick_xdr_decode_float64(48, _local_s1->h.b);
                                                            flick_xdr_decode_signed16(56, _local_s1->j.b.a.a);
                                                            flick_xdr_decode_float64(60, _local_s1->j.b.a.b);
                                                            flick_xdr_decode_signed16(68, _local_s1->j.z.a);
                                                            flick_xdr_decode_float64(72, _local_s1->j.z.b);
                                                            flick_xdr_decode_float32(80, _local_s1->f);
                                                            flick_xdr_decode_signed16(84, _local_s1->g.c);
                                                            flick_xdr_decode_char8(88, _local_s1->g.d);
                                                            flick_xdr_decode_unsigned8(92, _local_s1->g.e.c);
                                                            flick_xdr_decode_signed32(96, _local_s1->g.e.d);
                                                            flick_xdr_decode_signed16(100, _local_s1->g.f);
                                                            flick_xdr_decode_unsigned8(104, _local_s1->g.g.c);
                                                            flick_xdr_decode_signed32(108, _local_s1->g.g.d);
                                                            flick_xdr_decode_signed16(112, _local_s1->i.a);
                                                            flick_xdr_decode_float64(116, _local_s1->i.b);
                                                            _ev = &_t23_storage;
                                                            flick_suntcp_decode_end_chunk(124);
                                                            flick_suntcp_decode_end_glob(160);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = test_CopyAdd(_obj, _local_s1, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(36);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(32);
                                                                  flick_xdr_encode_signed16(0, _return.c.c);
                                                                  flick_xdr_encode_char8(4, _return.c.d);
                                                                  flick_xdr_encode_unsigned8(8, _return.c.e.c);
                                                                  flick_xdr_encode_signed32(12, _return.c.e.d);
                                                                  flick_xdr_encode_signed16(16, _return.c.f);
                                                                  flick_xdr_encode_unsigned8(20, _return.c.g.c);
                                                                  flick_xdr_encode_signed32(24, _return.c.g.d);
                                                                  flick_xdr_encode_char8(28, _return.d);
                                                                  flick_suntcp_encode_end_chunk(32);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(36);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(160);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(160);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(160);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(160);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(160);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(160);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(160);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(160);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(160);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
