#include "ttcp-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ttcp;
	s.vers_num = _VERS_ttcp;

	reg_success = flick_server_register(s, &ttcp_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->xx);
  flick_xdr_encode_signed32(4, _data->yy);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->xx);
  flick_xdr_decode_signed32(4, _data->yy);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->x.xx);
  flick_xdr_encode_signed32(4, _data->x.yy);
  flick_xdr_encode_signed32(8, _data->y.xx);
  flick_xdr_encode_signed32(12, _data->y.yy);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->x.xx);
  flick_xdr_decode_signed32(4, _data->x.yy);
  flick_xdr_decode_signed32(8, _data->y.xx);
  flick_xdr_decode_signed32(12, _data->y.yy);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  unsigned long int _t0_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx);
      flick_xdr_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy);
      flick_xdr_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx);
      flick_xdr_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy);
      flick_suntcp_encode_end_chunk(16);
    }
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_xdr_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy);
      flick_xdr_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx);
      flick_xdr_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  unsigned long int _t2_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->baloney);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->baloney);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t ttcp_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t32_switch_tag;

    flick_suntcp_decode_new_glob(68);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t32_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t32_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t33_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t33_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t33_switch_tag)
            {
            case 'i':
              {
                char _t34_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t34_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t34_switch_tag)
                  {
                  case 'n':
                    {
                      char _t35_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t35_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t35_switch_tag)
                        {
                        case 't':
                          {
                            char _t36_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t36_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t36_switch_tag)
                              {
                              case 't':
                                {
                                  char _t37_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t37_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t37_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t38_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t38_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t38_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t39_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t39_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t39_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t40_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t40_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t40_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ttcp _obj;
                                                            intBuffer *_local_data;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t41_ignore;
                                                            intBuffer _t42_storage;
                                                            unsigned long int _t43_array_iter;
                                                            CORBA_Environment _t44_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t41_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t41_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t41_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t41_ignore);
                                                            _local_data = &_t42_storage;
                                                            flick_xdr_decode_unsigned32(16, _local_data->_length);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(68);
                                                            flick_suntcp_decode_new_glob(4 * _local_data->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                            _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(CORBA_long ));
                                                            for (_t43_array_iter = 0; _t43_array_iter < _local_data->_length; _t43_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_signed32(0, _local_data->_buffer[_t43_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(4 * _local_data->_length);
                                                            flick_xdr_decode_msgptr(0, _local_data->_buffer);
                                                            flick_suntcp_decode_end_chunk(4 * _local_data->_length);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(4 * _local_data->_length);
                                                            _ev = &_t44_storage;
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ttcp_inttest(_obj, _local_data, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(12);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_atomic_user_id);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_atomic_user_id)
                                                                    {
                                                                    case 0:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                                        CORBA_flick_free((useless *)(_ev->_except));
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(12);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t45_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t45_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t45_switch_tag)
            {
            case 's':
              {
                char _t46_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t46_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t46_switch_tag)
                  {
                  case 't':
                    {
                      char _t47_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t47_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t47_switch_tag)
                        {
                        case 'r':
                          {
                            char _t48_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t48_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t48_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t49_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t49_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t49_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t50_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t50_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t50_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t51_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t51_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t51_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t52_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t52_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t52_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t53_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t53_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t53_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t54_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t54_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t54_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t55_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t55_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t55_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              ttcp _obj;
                                                                              structBuffer *_local_data;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_long _return = 0;
                                                                              unsigned int _t56_ignore;
                                                                              structBuffer _t57_storage;
                                                                              unsigned long int _t58_array_iter;
                                                                              CORBA_Environment _t59_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t56_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t56_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t56_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t56_ignore);
                                                                              _local_data = &_t57_storage;
                                                                              flick_xdr_decode_unsigned32(16, _local_data->_length);
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(68);
                                                                              flick_suntcp_decode_new_glob(16 * _local_data->_length);
                                                                              _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(struct b ));
                                                                              for (_t58_array_iter = 0; _t58_array_iter < _local_data->_length; _t58_array_iter++)
                                                                                {
                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                  flick_xdr_decode_signed32(0, _local_data->_buffer[_t58_array_iter].x.xx);
                                                                                  flick_xdr_decode_signed32(4, _local_data->_buffer[_t58_array_iter].x.yy);
                                                                                  flick_xdr_decode_signed32(8, _local_data->_buffer[_t58_array_iter].y.xx);
                                                                                  flick_xdr_decode_signed32(12, _local_data->_buffer[_t58_array_iter].y.yy);
                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                }
                                                                              flick_suntcp_decode_end_glob(16 * _local_data->_length);
                                                                              _ev = &_t59_storage;
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = ttcp_structtest(_obj, _local_data, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(12);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _return);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_atomic_user_id);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                                                          CORBA_flick_free((useless *)(_ev->_except));
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(68);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
