#include "turtle-client-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_Client;
	s.vers_num = _VERS_Client;

	reg_success = flick_server_register(s, &Client_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t Client_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t44_switch_tag;

    flick_suntcp_decode_new_glob(60);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t44_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t44_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t45_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t45_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t45_switch_tag)
            {
            case 'S':
              {
                char _t46_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t46_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t46_switch_tag)
                  {
                  case 'e':
                    {
                      char _t47_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t47_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t47_switch_tag)
                        {
                        case 't':
                          {
                            char _t48_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t48_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t48_switch_tag)
                              {
                              case 'L':
                                {
                                  char _t49_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t49_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t49_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t50_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t50_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t50_switch_tag)
                                          {
                                          case 'f':
                                            {
                                              char _t51_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t51_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t51_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t52_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t52_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t52_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Client _obj;
                                                            CORBA_long _local_speed;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t53_ignore;
                                                            CORBA_Environment _t54_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t53_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t53_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t53_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t53_ignore);
                                                            flick_xdr_decode_signed32(16, _local_speed);
                                                            _ev = &_t54_storage;
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(60);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = Client_SetLeft(_obj, _local_speed, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t55_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t55_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t55_switch_tag)
            {
            case 'S':
              {
                char _t56_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t56_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t56_switch_tag)
                  {
                  case 'e':
                    {
                      char _t57_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t57_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t57_switch_tag)
                        {
                        case 't':
                          {
                            char _t58_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t58_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t58_switch_tag)
                              {
                              case 'R':
                                {
                                  char _t59_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t59_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t59_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t60_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t60_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t60_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t61_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t61_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t61_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t62_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t62_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t62_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t63_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t63_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t63_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  CORBA_long _local_speed;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  unsigned int _t64_ignore;
                                                                  CORBA_Environment _t65_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t64_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t64_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t64_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t64_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_speed);
                                                                  _ev = &_t65_storage;
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = Client_SetRight(_obj, _local_speed, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t66_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t66_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t66_switch_tag)
                  {
                  case 'e':
                    {
                      char _t67_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t67_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t67_switch_tag)
                        {
                        case 't':
                          {
                            char _t68_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t68_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t68_switch_tag)
                              {
                              case 'P':
                                {
                                  char _t69_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t69_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t69_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t70_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t70_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t70_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t71_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t71_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t71_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t72_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t72_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t72_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t73_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t73_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t73_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  unsigned int _t74_ignore;
                                                                  CORBA_Environment _t75_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t74_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t74_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t74_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t74_ignore);
                                                                  _ev = &_t75_storage;
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = Client_GetPhoto(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t76_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t76_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t76_switch_tag)
            {
            case 'G':
              {
                char _t77_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t77_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t77_switch_tag)
                  {
                  case 'e':
                    {
                      char _t78_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t78_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t78_switch_tag)
                        {
                        case 't':
                          {
                            char _t79_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t79_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t79_switch_tag)
                              {
                              case 'B':
                                {
                                  char _t80_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t80_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t80_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t81_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t81_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t81_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t82_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t82_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t82_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t83_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t83_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t84_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t84_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t84_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t85_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t85_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t85_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Client _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        unsigned int _t86_ignore;
                                                                        CORBA_Environment _t87_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t86_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t86_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t86_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t86_ignore);
                                                                        _ev = &_t87_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(60);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = Client_GetButton(_obj, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(60);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(60);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
